	clear 
	set more off, perm
	

	
	do "$pgm/00_Globals.do"	


foreach v in  parttime lreal_monthly_salary   { 
	import excel using "${path}Graph`v'_trend.xlsx", firstrow clear
	gen woman=1	
	gen withchild=1
	save "${path}dis1.dta", replace

	import excel using "${path}Graph`v'_trend_men.xlsx", firstrow clear
	gen woman=0
	gen withchild=1
	save "${path}dis2.dta", replace

	import excel using "${path}Graph`v'_trend_dis.xlsx", firstrow clear
	gen untreated=1
	save "${path}dis3.dta", replace


	import excel using "${path}Sorties35/Graph`v'_trend_dis_withchild.xlsx", firstrow clear
	gen untreated=1
	rename woman withchild
	gen woman=1
	save "${pathprog}dis4.dta", replace

	import excel using "${pathprog}Sorties35/Graph`v'_trend_dis_withoutchildage40.xlsx", firstrow clear
	gen untreated=1
	gen withchild=0
	rename woman less40
	gen woman=1
	save "${path}dis5.dta", replace

	use "${path}dis1.dta", clear
	forval j=2/5 {
		append using "${path}dis`j'.dta"
		}

	sort quarter 
	gen year=.
	local k=1
	forval j=2009/2016 {
	local h=`k'+4
	replace year=`j' if quarter>=`k' & quarter<`h'
	local k=`k'+4
	}
	
	bys year: egen m_`v'=mean(`v')
	duplicates drop year woman untreated withchild less40 ITTref, force
 
	
	if "`v'"=="lreal_monthly_salary" {
		global title "Log net monthly wage"
		global ytitle "Women's (log) net monthly wage"
		
		
			graph twoway (connected `v' year if woman==1 & ITTref==1, lcolor(cranberry) mcolor(cranberry)  msize(small) lwidth(medthick) lpattern(solid)) ///
			(connected `v' year if woman==1 & ITTref==0, lcolor(navy) mcolor(navy) msym(d) msize(small) lwidth(medthick) lpattern(solid)) ///
			(connected `v' year if woman==1 & untreated==1 & withchild==0 & less40==., lcolor("0 102 153")  msym(t) msize(medium) mcolor("0 102 153") lwidth(medthick) lpattern(dash)) ///
			(connected `v' year if woman==1 & untreated==1 & withchild==. & less40==., lcolor("51 204 51") msym(sh) msize(small) mcolor("51 204 51") lwidth(medthick) lpattern(solid)) ///
			(connected `v' year if woman==1 & untreated==1 & withchild==0 & less40==0, lcolor(ebblue*0.45) msym(x) msize(large) mcolor(ebblue*0.45) lwidth(medthick) lpattern(solid)), ///
			title("", color(black)) ///	     
			 xlabel(2009 "2009" 2010 "2010" 2011 "2011" 2012 "2012" 2013 "2013" 2014 "2014" 2015 "2015"  2016 "2016", labsize(small)) ///
			ylabel(, labsize(small))  ///
			graphregion(color(white)) ///
			legend(label(1 "Youngest child 6-11") label(2 "Youngest child 12-16") ///
			label(3 "No children younger than 12") label(4 "No children")   ///
			label(5 "No children and age > 40") rows(3) ) ///
			legend(size(small)) ///
			xtitle(" " "Year" " ", size(small)) ytitle("$ytitle" " ", size(small)) ///
			ttick(2013.25 2013.75 2014.75, tpos(in)) ylabel(,angle(horizontal) grid gstyle(dot)) ///
			xline(2013.25, lcolor(gs12)) xline(2013.75, lcolor(gs7) ) xline(2014.75, lcolor(gs7)) 
			graph save ${pathgraph}Graph_Trend_`v'_displacement_year.gph, replace
			graph export ${pathgraph}Graph_Trend_`v'_displacement_year.pdf, replace
			erase ${pathgraph}Graph_Trend_`v'_displacement_year.gph
			}
	
	
	if "`v'"=="parttime" {
		global title "Part-time work"
		global ytitle "Proportion of part-time workers among women"
		foreach x in `v' min95 max95 {
		replace `x'=`x'*100
		}

			graph twoway (connected `v' year if woman==1 & ITTref==1, lcolor(cranberry) mcolor(cranberry)  msize(small) lwidth(medthick) lpattern(solid)) ///
			(connected `v' year if woman==1 & ITTref==0, lcolor(navy) mcolor(navy) msym(d) msize(small) lwidth(medthick) lpattern(solid)) ///
			(connected `v' year if woman==1 & untreated==1 & withchild==0 & less40==., lcolor("0 102 153") msym(t) msize(medium) mcolor("0 102 153") lwidth(medthick) lpattern(dash)) ///
			(connected `v' year if woman==1 & untreated==1 & withchild==. & less40==., lcolor("51 204 51") msym(sh) msize(small) mcolor("51 204 51") lwidth(medthick) lpattern(solid)) ///
			(connected `v' year if woman==1 & untreated==1 & withchild==0 & less40==0, lcolor(ebblue*0.45) msym(x) msize(large) mcolor(ebblue*0.45) lwidth(medthick) lpattern(solid)), ///
			title("", color(black)) ///	     
			 xlabel(2009 "2009" 2010 "2010" 2011 "2011" 2012 "2012" 2013 "2013" 2014 "2014" 2015 "2015"  2016 "2016", labsize(small)) ///
			ylabel(20[5]45, labsize(small)) ysc(r(25 45)) ///
			graphregion(color(white))  ///
			legend(label(1 "Youngest child 6-11") label(2 "Youngest child 12-16") ///
			label(3 "No children younger than 12") label(4 "No children")   ///
			label(5 "No children and age > 40") rows(3) ) ///
			legend(size(small)) ///
			xtitle(" " "Year" " ", size(small)) ytitle("$ytitle" " ", size(small)) ///
			ttick(2013.25 2013.75 2014.75, tpos(in)) ylabel(,angle(horizontal) grid gstyle(dot)) ///
			xline(2013.25, lcolor(gs12)) xline(2013.75, lcolor(gs7) ) xline(2014.75, lcolor(gs7)) 
			graph save ${pathgraph}Graph_Trend_`v'_displacement_year.gph, replace
			graph export ${pathgraph}Graph_Trend_`v'_displacement_year.pdf, replace
			erase ${pathgraph}Graph_Trend_`v'_displacement_year.gph
			}
			}
	clear
	forval j=1/5 {
		erase "${pathprog}dis`j'.dta"
		}
	
				 
			
		
