	clear 
	set more off, perm
	


	global outcomes lfp	hours	parttime	days lrmontlywage	lrhourlywage	///
	Monday	Tuesday	Wednesday	Thursday	Friday	Saturday	Sunday	



	**** PART-TIME ****
	
	foreach v in parttime { // $outcome
	import excel using "${pathprog}/Robustness_check_216.xlsx", firstrow clear
			
	destring coeff se, replace
	
	
	gen min95=0
	gen max95=0
	gen min90=0
	gen max90=0
		
	replace max95=coeff+1.96*se 
	replace max90=coeff+1.645*se 
	replace min95=coeff-1.96*se  
	replace min90=coeff-1.645*se  
	
	* Gen Model
	gen cityFE=.
	replace cityFE=1 if FE=="city"
	
	gen provinceFE=.
	replace provinceFE=1 if FE=="province"
	
	forval j=2010/2012 {
		gen period`j' =.
		replace period`j' =1 if specif=="changingpre-period`j'"
		}
	
	gen donutdrop2013=.
	drop if specif=="donutdrop2013"
	
	gen cluster_city=.
	replace cluster_city=1 if cluster=="city"
	
	gen cluster_age_quarter=.
	replace cluster_age_quarter=1 if cluster=="child_age*year"
	
	gen cityFE_interacted=.
	replace cityFE_interacted=1 if specif=="reghdfe"
	
	forval j=13/17{
		gen sample12_`j'=.
		replace sample12_`j'=1 if sample=="age12-`j'"
		}
	
	drop if sample12_16==1 // already in main spe
	
	gen sample216=.
	replace sample216=1 if sample=="age2-16"
	drop if sample216==1
	
	gen teacher=.
	replace teacher=1 if sample=="teacher"
	
	gen nonteacher=.
	replace nonteacher=1 if sample!="teacher"
	
	gen wages_non_missing=.
	replace wages_non_missing=1 if sample=="wages_non_missing"
	
	gen sampleage2560=.
	replace sampleage2560=1 if sample=="age2560"
	
	global specif cityFE provinceFE cluster_city cluster_age_quarter period2010 period2011 period2012

	global sample nonteacher teacher wages_non_missing sample12_13 sample12_14 sample12_15 sample12_17 sampleage2560
	
	
	* gen indicators and scatters
	local scoff=" "
	local scon=" "
	local ind=-0.05
	foreach var in $specif   {
		cap gen i_`var'=`ind'
		local ind=`ind'-0.005
		local scoff="`scoff' (scatter i_`var' rank,msize(vsmall) mcolor(white))" 
		local scon="`scon' (scatter i_`var' rank if `var'==1,msize(medium) mcolor(black) msym(x))" 
		}
	* samples
	local ind=`ind'-0.01
	foreach var in $sample   {
		cap gen i_`var'=`ind'
		local ind=`ind'-0.005
		local scoff="`scoff' (scatter i_`var' rank,msize(vsmall) mcolor(white))" 
		local scon="`scon' (scatter i_`var' rank if `var'==1,msize(medium) mcolor(black) msym(x))" 
		}
	
	* Choose variable
	
	keep if variable=="`v'"
	
	if "`v'"=="parttime" {
	global outcometitle "Part-time work"
	}
		
	* Choose gender
	foreach g in 1 { //0
	preserve
	keep if woman==`g'
	
	if "`g'"=="0" {
	global genre "Men"
	}
	
	
	if "`g'"=="1" {
	global genre "Women"
	}
	
	gen mainspe=.
	replace mainspe=1 if sample=="main" &	specif=="main"	& cluster=="city"	& FE=="city"

	
	sort mainspe
	sort coeff
	gen rank=_n

	
	
tw  (scatter coeff rank if mainspe==1, mcolor(red) msymbol(D)  msize(small)) ///  main spec 
   (rcap min95 max95 rank, fcolor(gs5) lcolor(gs5)) /// 95% CI
   (rcap min90 max90 rank, fcolor(gs9) lcolor(gs9)) ///
	(scatter coeff rank , mcolor(black) msymbol(D) msize(small)) ///  point estimates
 `scoff' `scon' /// indicators for spec
  (scatter coeff rank if main==1, mcolor(red) msymbol(D)  msize(small)) ///  main spec 
  (scatter i_nonteacher rank if mainspe==1,msize(medium) mcolor(red) msym(x))  ///
  (scatter i_cityFE rank if mainspe==1,msize(medium) mcolor(red) msym(x))  ///
  (scatter i_cluster_city rank if mainspe==1,msize(medium) mcolor(red) msym(x))  ///
   ,legend (order(1 "Main spec." 4 "Point estimate" 2 "95% CI" 3 "90% CI") region(lcolor(white)) ///
	pos(12) ring(1) rows(1) size(vsmall) symysize(small) symxsize(small)) ///
   xtitle(" ") ytitle(" ") yline(0, lcolor(black) lwidth(thin) lpattern(dash))  ///
   yscale(noline) xscale(noline) ylab(-0.05(0.01)0.025, labsize(small) format(%03.2f) noticks nogrid angle(horizontal))  xlab("", noticks)  ///
   graphregion (fcolor(white) lcolor(white)) plotregion(fcolor(white) lcolor(white)) ///  
   title("")
   
	* now add stuff to the y axis  
	gr_edit .yaxis1.add_ticks -.045 `"Model                     "', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -.05 `"Municipality FE"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -.055 `"Province FE"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.06 `"Cluster Municipality (3,336)"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.065 `"Cluster Age child*quarter (198)"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.07 `"Changing pre-reform period 2010-2016"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.075 `"Changing pre-reform period 2011-2016"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.08 `"Changing pre-reform period 2012-2016"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )

	gr_edit .yaxis1.add_ticks -0.09 `"Sample                     "', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.095 `"Excluding school personnel"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.10 `"Including school personnel"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.105 `"Wages non missing"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.11 `"Age youngest child 6-13"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.115 `"Age youngest child 6-14"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.12 `"Age youngest child 6-15"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.125 `"Age youngest child 6-17"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.13 `"Age 25-60"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	**gr_edit .yaxis1.add_ticks -0.135 `"Age child youngest 2-16"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	**gr_edit .yaxis1.add_ticks -0.06 `"Donut estimation (drop 2013)"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )

	gr_edit .yaxis1.add_ticks 0.025 `"Estimate			"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )

	graph save ${pathgraph}Robustness_`v'_1216_`g'.gph, replace
	graph export ${pathgraph}Robustness_`v'_1216_`g'.pdf, replace
	erase ${pathgraph}Robustness_`v'_1216_`g'.gph
	restore
	}
	}

	***** HOURS ****
	
	
	foreach v in hours { // $outcome
	import excel using "${pathprog}/Robustness_check_216.xlsx", firstrow clear
			
	global pathgraph ${path}TEX/Graph/	
	destring coeff se, replace
	
	
	gen min95=0
	gen max95=0
	gen min90=0
	gen max90=0
		
	replace max95=coeff+1.96*se 
	replace max90=coeff+1.645*se 
	replace min95=coeff-1.96*se  
	replace min90=coeff-1.645*se  
	
	* Gen Model
	gen cityFE=.
	replace cityFE=1 if FE=="city"
	
	gen provinceFE=.
	replace provinceFE=1 if FE=="province"
	
	forval j=2010/2012 {
		gen period`j' =.
		replace period`j' =1 if specif=="changingpre-period`j'"
		}
	
	gen donutdrop2013=.
	drop if specif=="donutdrop2013"
	
	gen cluster_city=.
	replace cluster_city=1 if cluster=="city"
	
	gen cluster_age_quarter=.
	replace cluster_age_quarter=1 if cluster=="child_age*year"
	
	gen cityFE_interacted=.
	replace cityFE_interacted=1 if specif=="reghdfe"
	
	forval j=13/17{
		gen sample12_`j'=.
		replace sample12_`j'=1 if sample=="age12-`j'"
		}
	
	drop if sample12_16==1 // already in main spe
	
	gen sample216=.
	replace sample216=1 if sample=="age2-16"
	drop if sample216==1

	gen teacher=.
	replace teacher=1 if sample=="teacher"
	
	gen nonteacher=.
	replace nonteacher=1 if sample!="teacher"
	
	gen wages_non_missing=.
	replace wages_non_missing=1 if sample=="wages_non_missing"
	
	gen sampleage2560=.
	replace sampleage2560=1 if sample=="age2560"
	
	global specif cityFE provinceFE cluster_city cluster_age_quarter period2010 period2011 period2012

	global sample nonteacher teacher wages_non_missing sample12_13 sample12_14 sample12_15 sample12_17 sampleage2560 
	
	
	* gen indicators and scatters
	local scoff=" "
	local scon=" "
	local ind=-0.4
	foreach var in $specif   {
		cap gen i_`var'=`ind'
		local ind=`ind'-0.1
		local scoff="`scoff' (scatter i_`var' rank,msize(vsmall) mcolor(white))" 
		local scon="`scon' (scatter i_`var' rank if `var'==1,msize(medium) mcolor(black) msym(x))" 
		}
	* samples
	local ind=`ind'-0.2
	foreach var in $sample   {
		cap gen i_`var'=`ind'
		local ind=`ind'-0.1
		local scoff="`scoff' (scatter i_`var' rank,msize(vsmall) mcolor(white))" 
		local scon="`scon' (scatter i_`var' rank if `var'==1,msize(medium) mcolor(black) msym(x))" 
		}
	
	* Choose variable
	
	keep if variable=="`v'"
	
	if "`v'"=="hours" {
	global outcometitle "Hours worked"
	}
		
	* Choose gender
	foreach g in 1 { //0 
	preserve
	keep if woman==`g'
	
	if "`g'"=="0" {
	global genre "Men"
	}
	
	
	if "`g'"=="1" {
	global genre "Women"
	}
	
	gen mainspe=.
	replace mainspe=1 if sample=="main" &	specif=="main"	& cluster=="city"	& FE=="city"

	
	sort mainspe
	sort coeff
	gen rank=_n

	
	
tw  (scatter coeff rank if mainspe==1, mcolor(red) msymbol(D)  msize(small)) ///  main spec 
   (rcap min95 max95 rank, fcolor(gs5) lcolor(gs5)) /// 95% CI
   (rcap min90 max90 rank, fcolor(gs9) lcolor(gs9)) ///
	(scatter coeff rank , mcolor(black) msymbol(D) msize(small)) ///  point estimates
 `scoff' `scon' /// indicators for spec
  (scatter coeff rank if main==1, mcolor(red) msymbol(D)  msize(small)) ///  main spec 
  (scatter i_nonteacher rank if mainspe==1,msize(medium) mcolor(red) msym(x))  ///
  (scatter i_cityFE rank if mainspe==1,msize(medium) mcolor(red) msym(x))  ///
  (scatter i_cluster_city rank if mainspe==1,msize(medium) mcolor(red) msym(x))  ///
   ,legend (order(1 "Main spec." 4 "Point estimate" 2 "95% CI" 3 "90% CI") region(lcolor(white)) ///
	pos(12) ring(1) rows(1) size(vsmall) symysize(small) symxsize(small)) ///
   xtitle(" ") ytitle(" ") yline(0, lcolor(black) lwidth(thin) lpattern(dash))  ///
   yscale(noline) xscale(noline) ylab(0(0.25)1, labsize(small) format(%03.2f) noticks nogrid angle(horizontal))  xlab("", noticks)  ///
   graphregion (fcolor(white) lcolor(white)) plotregion(fcolor(white) lcolor(white)) ///  
   title("")
   
	* now add stuff to the y axis  
	gr_edit .yaxis1.add_ticks -.3 `"Model                     "', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -.4 `"Municipality FE"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -.5 `"Province FE"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.6 `"Cluster Municipality (3,336)"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.7 `"Cluster Age child*quarter (198)"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.8 `"Changing pre-reform period 2010-2016"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.9 `"Changing pre-reform period 2011-2016"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -1 `"Changing pre-reform period 2012-2016"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )

	gr_edit .yaxis1.add_ticks -1.2 `"Sample                     "', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -1.3 `"Excluding school personnel"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -1.4 `"Including school personnel"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -1.5 `"Wages non missing"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -1.6 `"Age youngest child 6-13"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -1.7 `"Age youngest child 6-14"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -1.8 `"Age youngest child 6-15"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -1.9 `"Age youngest child 6-17"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -2 `"Age 25-60"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	**gr_edit .yaxis1.add_ticks -2.1 `"Age child youngest 2-16"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	**gr_edit .yaxis1.add_ticks -0.6 `"Donut estimation (drop 2013)"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )

	gr_edit .yaxis1.add_ticks 1 `"Estimate			"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )

	graph save ${pathgraph}Robustness_`v'_1216_`g'.gph, replace
	graph export ${pathgraph}Robustness_`v'_1216_`g'.pdf, replace
	erase ${pathgraph}Robustness_`v'_1216_`g'.gph
	restore
	}
	}
	
	**** MONTHLY WAGE *****
	
	foreach v in lrmontlywage { // $outcome
	import excel using "${pathprog}/Robustness_check_216.xlsx", firstrow clear
			
	global pathgraph ${path}TEX/Graph/	
	destring coeff se, replace
	
	
	gen min95=0
	gen max95=0
	gen min90=0
	gen max90=0
		
	replace max95=coeff+1.96*se 
	replace max90=coeff+1.645*se 
	replace min95=coeff-1.96*se  
	replace min90=coeff-1.645*se  
	
	* Gen Model
	gen cityFE=.
	replace cityFE=1 if FE=="city"
	
	gen provinceFE=.
	replace provinceFE=1 if FE=="province"
	
	forval j=2010/2012 {
		gen period`j' =.
		replace period`j' =1 if specif=="changingpre-period`j'"
		}
	
	gen donutdrop2013=.
	drop if specif=="donutdrop2013"
	
	gen cluster_city=.
	replace cluster_city=1 if cluster=="city"
	
	gen cluster_age_quarter=.
	replace cluster_age_quarter=1 if cluster=="child_age*year"
	
	gen cityFE_interacted=.
	replace cityFE_interacted=1 if specif=="reghdfe"
	
	forval j=13/17{
		gen sample12_`j'=.
		replace sample12_`j'=1 if sample=="age12-`j'"
		}
	
	drop if sample12_16==1 // already in main spe
	
	gen sample216=.
	replace sample216=1 if sample=="age2-16"
	drop if sample216==1

	gen teacher=.
	replace teacher=1 if sample=="teacher"
	
	gen nonteacher=.
	replace nonteacher=1 if sample!="teacher"
	
	gen wages_non_missing=.
	replace wages_non_missing=1 if sample=="wages_non_missing"
	
	gen sampleage2560=.
	replace sampleage2560=1 if sample=="age2560"
	
	global specif cityFE provinceFE cluster_city cluster_age_quarter period2010 period2011 period2012

	global sample nonteacher teacher wages_non_missing sample12_13 sample12_14 sample12_15 sample12_17 sampleage2560 
	
	
	* gen indicators and scatters
	local scoff=" "
	local scon=" "
	local ind=-0.05
	foreach var in $specif   {
		cap gen i_`var'=`ind'
		local ind=`ind'-0.005
		local scoff="`scoff' (scatter i_`var' rank,msize(vsmall) mcolor(white))" 
		local scon="`scon' (scatter i_`var' rank if `var'==1,msize(medium) mcolor(black) msym(x))" 
		}
	* samples
	local ind=`ind'-0.01
	foreach var in $sample   {
		cap gen i_`var'=`ind'
		local ind=`ind'-0.005
		local scoff="`scoff' (scatter i_`var' rank,msize(vsmall) mcolor(white))" 
		local scon="`scon' (scatter i_`var' rank if `var'==1,msize(medium) mcolor(black) msym(x))" 
		}
	
	* Choose variable
	
	keep if variable=="`v'"
	
	if "`v'"=="lrmontlywage" {
	global outcometitle "(Log) real monthly wage"
	}
		
	* Choose gender
	foreach g in  1 { //0
	preserve
	keep if woman==`g'
	
	if "`g'"=="0" {
	global genre "Men"
	}
	
	
	if "`g'"=="1" {
	global genre "Women"
	}
	
	gen mainspe=.
	replace mainspe=1 if sample=="main" &	specif=="main"	& cluster=="city"	& FE=="city"

	
	sort mainspe
	sort coeff
	gen rank=_n

	
	
tw  (scatter coeff rank if mainspe==1, mcolor(red) msymbol(D)  msize(small)) ///  main spec 
   (rcap min95 max95 rank, fcolor(gs5) lcolor(gs5)) /// 95% CI
   (rcap min90 max90 rank, fcolor(gs9) lcolor(gs9)) ///
	(scatter coeff rank , mcolor(black) msymbol(D) msize(small)) ///  point estimates
 `scoff' `scon' /// indicators for spec
  (scatter coeff rank if main==1, mcolor(red) msymbol(D)  msize(small)) ///  main spec 
  (scatter i_nonteacher rank if mainspe==1,msize(medium) mcolor(red) msym(x))  ///
  (scatter i_cityFE rank if mainspe==1,msize(medium) mcolor(red) msym(x))  ///
  (scatter i_cluster_city rank if mainspe==1,msize(medium) mcolor(red) msym(x))  ///
   ,legend (order(1 "Main spec." 4 "Point estimate" 2 "95% CI" 3 "90% CI") region(lcolor(white)) ///
	pos(12) ring(1) rows(1) size(vsmall) symysize(small) symxsize(small)) ///
   xtitle(" ") ytitle(" ") yline(0, lcolor(black) lwidth(thin) lpattern(dash))  ///
   yscale(noline) xscale(noline) ylab(-0.01(0.01)0.06, labsize(small) format(%03.2f) noticks nogrid angle(horizontal))  xlab("", noticks)  ///
   graphregion (fcolor(white) lcolor(white)) plotregion(fcolor(white) lcolor(white)) ///  
   title("")
   
	* now add stuff to the y axis  
	* now add stuff to the y axis  
	gr_edit .yaxis1.add_ticks -.045 `"Model                     "', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -.05 `"Municipality FE"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -.055 `"Province FE"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.06 `"Cluster Municipality (3,336)"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.065 `"Cluster Age child*quarter (198)"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.07 `"Changing pre-reform period 2010-2016"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.075 `"Changing pre-reform period 2011-2016"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.08 `"Changing pre-reform period 2012-2016"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )

	gr_edit .yaxis1.add_ticks -0.09 `"Sample                     "', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.095 `"Excluding school personnel"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.10 `"Including school personnel"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.105 `"Wages non missing"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.11 `"Age youngest child 6-13"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.115 `"Age youngest child 6-14"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.12 `"Age youngest child 6-15"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.125 `"Age youngest child 6-17"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.13 `"Age 25-60"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	**gr_edit .yaxis1.add_ticks -0.135 `"Age child youngest 2-16"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
**	gr_edit .yaxis1.add_ticks -0.06 `"Donut estimation (drop 2013)"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )

	gr_edit .yaxis1.add_ticks 0.035 `"Estimate			"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )

	graph save ${pathgraph}Robustness_`v'_1216_`g'.gph, replace
	graph export ${pathgraph}Robustness_`v'_1216_`g'.pdf, replace
	erase ${pathgraph}Robustness_`v'_1216_`g'.gph
	restore
	}
	}
	
	** HOURLY WAGE
	
	
		foreach v in lrhourlywage { // $outcome
	import excel using "${pathprog}/Robustness_check_216.xlsx", firstrow clear
			
	global pathgraph ${path}TEX/Graph/	
	destring coeff se, replace
	
	
	gen min95=0
	gen max95=0
	gen min90=0
	gen max90=0
		
	replace max95=coeff+1.96*se 
	replace max90=coeff+1.645*se 
	replace min95=coeff-1.96*se  
	replace min90=coeff-1.645*se  
	
	* Gen Model
	gen cityFE=.
	replace cityFE=1 if FE=="city"
	
	gen provinceFE=.
	replace provinceFE=1 if FE=="province"
	
	forval j=2010/2012 {
		gen period`j' =.
		replace period`j' =1 if specif=="changingpre-period`j'"
		}
	
	gen donutdrop2013=.
	drop if specif=="donutdrop2013"
	
	gen cluster_city=.
	replace cluster_city=1 if cluster=="city"
	
	gen cluster_age_quarter=.
	replace cluster_age_quarter=1 if cluster=="child_age*year"
	
	gen cityFE_interacted=.
	replace cityFE_interacted=1 if specif=="reghdfe"
	
	forval j=13/17{
		gen sample12_`j'=.
		replace sample12_`j'=1 if sample=="age12-`j'"
		}
	
	drop if sample12_16==1 // already in main spe
	
	gen sample216=.
	replace sample216=1 if sample=="age2-16"
	drop if sample216==1

	gen teacher=.
	replace teacher=1 if sample=="teacher"
	
	gen nonteacher=.
	replace nonteacher=1 if sample!="teacher"
	
	gen wages_non_missing=.
	replace wages_non_missing=1 if sample=="wages_non_missing"
	
	gen sampleage2560=.
	replace sampleage2560=1 if sample=="age2560"
	
	global specif cityFE provinceFE cluster_city cluster_age_quarter period2010 period2011 period2012

	global sample nonteacher teacher wages_non_missing sample12_13 sample12_14 sample12_15 sample12_17 sampleage2560
	
	
	* gen indicators and scatters
	local scoff=" "
	local scon=" "
	local ind=-0.03
	foreach var in $specif   {
		cap gen i_`var'=`ind'
		local ind=`ind'-0.005
		local scoff="`scoff' (scatter i_`var' rank,msize(vsmall) mcolor(white))" 
		local scon="`scon' (scatter i_`var' rank if `var'==1,msize(medium) mcolor(black) msym(x))" 
		}
	* samples
	local ind=`ind'-0.01
	foreach var in $sample   {
		cap gen i_`var'=`ind'
		local ind=`ind'-0.005
		local scoff="`scoff' (scatter i_`var' rank,msize(vsmall) mcolor(white))" 
		local scon="`scon' (scatter i_`var' rank if `var'==1,msize(medium) mcolor(black) msym(x))" 
		}
	
	* Choose variable
	
	keep if variable=="`v'"
	
	if "`v'"=="lrhourlywage" {
	global outcometitle "(Log) real hourly wage"
	}
		
	* Choose gender
	foreach g in  1 { //0
	preserve
	keep if woman==`g'
	
	if "`g'"=="0" {
	global genre "Men"
	}
	
	
	if "`g'"=="1" {
	global genre "Women"
	}
	
	gen mainspe=.
	replace mainspe=1 if sample=="main" &	specif=="main"	& cluster=="city"	& FE=="city"

	
	sort mainspe
	sort coeff
	gen rank=_n

	
	
tw  (scatter coeff rank if mainspe==1, mcolor(red) msymbol(D)  msize(small)) ///  main spec 
   (rcap min95 max95 rank, fcolor(gs5) lcolor(gs5)) /// 95% CI
   (rcap min90 max90 rank, fcolor(gs9) lcolor(gs9)) ///
	(scatter coeff rank , mcolor(black) msymbol(D) msize(small)) ///  point estimates
 `scoff' `scon' /// indicators for spec
  (scatter coeff rank if main==1, mcolor(red) msymbol(D)  msize(small)) ///  main spec 
  (scatter i_nonteacher rank if mainspe==1,msize(medium) mcolor(red) msym(x))  ///
  (scatter i_cityFE rank if mainspe==1,msize(medium) mcolor(red) msym(x))  ///
  (scatter i_cluster_city rank if mainspe==1,msize(medium) mcolor(red) msym(x))  ///
   ,legend (order(1 "Main spec." 4 "Point estimate" 2 "95% CI" 3 "90% CI") region(lcolor(white)) ///
	pos(12) ring(1) rows(1) size(vsmall) symysize(small) symxsize(small)) ///
   xtitle(" ") ytitle(" ") yline(0, lcolor(black) lwidth(thin) lpattern(dash))  ///
   yscale(noline) xscale(noline) ylab(-0.01(0.01)0.03, labsize(small) format(%03.2f) noticks nogrid angle(horizontal))  xlab("", noticks)  ///
   graphregion (fcolor(white) lcolor(white)) plotregion(fcolor(white) lcolor(white)) ///  
   title("")
   
	* now add stuff to the y axis  
	* now add stuff to the y axis  
	gr_edit .yaxis1.add_ticks -.025 `"Model                     "', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -.03 `"Municipality FE"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -.035 `"Province FE"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.04 `"Cluster Municipality (3,336)"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.045 `"Cluster Age child*quarter (198)"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.05 `"Changing pre-reform period 2010-2016"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.055 `"Changing pre-reform period 2011-2016"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.06 `"Changing pre-reform period 2012-2016"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )

	gr_edit .yaxis1.add_ticks -0.07 `"Sample                     "', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.075 `"Excluding school personnel"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.08 `"Including school personnel"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.085 `"Wages non missing"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.09 `"Age youngest child 6-13"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.095 `"Age youngest child 6-14"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.10 `"Age youngest child 6-15"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.105 `"Age youngest child 6-17"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.11 `"Age 25-60"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
**	gr_edit .yaxis1.add_ticks -0.115 `"Age child youngest 2-16"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
**	gr_edit .yaxis1.add_ticks -0.04 `"Donut estimation (drop 2013)"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )

	gr_edit .yaxis1.add_ticks 0.035 `"Estimate			"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )

	graph save ${pathgraph}Robustness_`v'_1216_`g'.gph, replace
	graph export ${pathgraph}Robustness_`v'_1216_`g'.pdf, replace
	erase ${pathgraph}Robustness_`v'_1216_`g'.gph
	restore
	}
	}
	
	** DAYS OF THE WEEK except saturday **
	
	
		foreach v in Monday  Tuesday Wednesday Thursday Friday Sunday { // $outcome
	import excel using "${pathprog}/Robustness_check_216.xlsx", firstrow clear
			
	global pathgraph ${path}TEX/Graph/	
	destring coeff se, replace
	
	
	gen min95=0
	gen max95=0
	gen min90=0
	gen max90=0
		
	replace max95=coeff+1.96*se 
	replace max90=coeff+1.645*se 
	replace min95=coeff-1.96*se  
	replace min90=coeff-1.645*se  
	
	* Gen Model
	gen cityFE=.
	replace cityFE=1 if FE=="city"
	
	gen provinceFE=.
	replace provinceFE=1 if FE=="province"
	
	forval j=2010/2012 {
		gen period`j' =.
		replace period`j' =1 if specif=="changingpre-period`j'"
		}
	
	gen donutdrop2013=.
	drop if specif=="donutdrop2013"
	
	gen cluster_city=.
	replace cluster_city=1 if cluster=="city"
	
	gen cluster_age_quarter=.
	replace cluster_age_quarter=1 if cluster=="child_age*year"
	
	gen cityFE_interacted=.
	replace cityFE_interacted=1 if specif=="reghdfe"
	
	forval j=13/17{
		gen sample12_`j'=.
		replace sample12_`j'=1 if sample=="age12-`j'"
		}
	
	drop if sample12_16==1 | period2010==1 | period2011==1  | period2012==1 // already in main spe
	
	gen sample216=.
	replace sample216=1 if sample=="age2-16"
	drop if sample216==1

	gen teacher=.
	replace teacher=1 if sample=="teacher"
	
	gen nonteacher=.
	replace nonteacher=1 if sample!="teacher"
	
	gen wages_non_missing=.
	replace wages_non_missing=1 if sample=="wages_non_missing"
	
	gen sampleage2560=.
	replace sampleage2560=1 if sample=="age2560"
	
	global specif cityFE provinceFE  cluster_city cluster_age_quarter 
	*period2010 period2011 period2012 donutdrop2013
	global sample nonteacher teacher wages_non_missing sample12_13 sample12_14 sample12_15 sample12_17 sampleage2560
	
	
	* gen indicators and scatters
	local scoff=" "
	local scon=" "
	local ind=-0.03
	foreach var in $specif   {
		cap gen i_`var'=`ind'
		local ind=`ind'-0.005
		local scoff="`scoff' (scatter i_`var' rank,msize(vsmall) mcolor(white))" 
		local scon="`scon' (scatter i_`var' rank if `var'==1,msize(medium) mcolor(black) msym(x))" 
		}
	* samples
	local ind=`ind'-0.01
	foreach var in $sample   {
		cap gen i_`var'=`ind'
		local ind=`ind'-0.005
		local scoff="`scoff' (scatter i_`var' rank,msize(vsmall) mcolor(white))" 
		local scon="`scon' (scatter i_`var' rank if `var'==1,msize(medium) mcolor(black) msym(x))" 
		}
	
	* Choose variable
	
	keep if variable=="`v'"
	
	global outcometitle "Work on `v'"
	
		
	* Choose gender
	foreach g in 1 { //0
	preserve
	keep if woman==`g'
	
	if "`g'"=="0" {
	global genre "Men"
	}
	
	
	if "`g'"=="1" {
	global genre "Women"
	}
	
	gen mainspe=.
	replace mainspe=1 if sample=="main" &	specif=="main"	& cluster=="city"	& FE=="city"

	
	sort mainspe
	sort coeff
	gen rank=_n

	
	
tw  (scatter coeff rank if mainspe==1, mcolor(red) msymbol(D)  msize(small)) ///  main spec 
   (rcap min95 max95 rank, fcolor(gs5) lcolor(gs5)) /// 95% CI
   (rcap min90 max90 rank, fcolor(gs9) lcolor(gs9)) ///
	(scatter coeff rank , mcolor(black) msymbol(D) msize(small)) ///  point estimates
 `scoff' `scon' /// indicators for spec
  (scatter coeff rank if main==1, mcolor(red) msymbol(D)  msize(small)) ///  main spec 
  (scatter i_nonteacher rank if mainspe==1,msize(medium) mcolor(red) msym(x))  ///
  (scatter i_cityFE rank if mainspe==1,msize(medium) mcolor(red) msym(x))  ///
  (scatter i_cluster_city rank if mainspe==1,msize(medium) mcolor(red) msym(x))  ///
   ,legend (order(1 "Main spec." 4 "Point estimate" 2 "95% CI" 3 "90% CI") region(lcolor(white)) ///
	pos(12) ring(1) rows(1) size(vsmall) symysize(small) symxsize(small)) ///
   xtitle(" ") ytitle(" ") yline(0, lcolor(black) lwidth(thin) lpattern(dash))  ///
   yscale(noline) xscale(noline) ylab(-0.01(0.01)0.04, labsize(small) format(%03.2f) noticks nogrid angle(horizontal))  xlab("", noticks)  ///
   graphregion (fcolor(white) lcolor(white)) plotregion(fcolor(white) lcolor(white)) ///  
   title("")
   
	* now add stuff to the y axis  
	* now add stuff to the y axis  
	gr_edit .yaxis1.add_ticks -.025 `"Model                     "', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -.03 `"Municipality FE"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -.035 `"Province FE"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	*gr_edit .yaxis1.add_ticks -0.04 `"Donut estimation (drop 2013)"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.04 `"Cluster Municipality (2,080)"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.045 `"Cluster Age child*quarter (129)"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )

	gr_edit .yaxis1.add_ticks -0.055 `"Sample                     "', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.06 `"Excluding school personnel"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.065 `"Including school personnel"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.07 `"Wages non missing"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.075 `"Age youngest child 6-13"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.08 `"Age youngest child 6-14"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.085 `"Age youngest child 6-15"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.09 `"Age youngest child 6-17"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.095 `"Age 25-60"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )

**	gr_edit .yaxis1.add_ticks -0.10 `"Age child youngest 2-16"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks 0.035 `"Estimate			"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )

	*graph save ${pathgraph}Robustness_`v'_1216_`g'.gph, replace
	graph export "${pathgraph}Robustness_`v'_1216_`g'.pdf", replace
	*erase ${pathgraph}Robustness_`v'_1216_`g'.gph
	restore
	}
	}
	
	*** SATURDAY ***
	
		foreach v in Saturday { // $outcome
	import excel using "${pathprog}/Robustness_check_216.xlsx", firstrow clear
			
	global pathgraph ${path}TEX/Graph/	
	destring coeff se, replace
	
	
	gen min95=0
	gen max95=0
	gen min90=0
	gen max90=0
		
	replace max95=coeff+1.96*se 
	replace max90=coeff+1.645*se 
	replace min95=coeff-1.96*se  
	replace min90=coeff-1.645*se  
	
	* Gen Model
	gen cityFE=.
	replace cityFE=1 if FE=="city"
	
	gen provinceFE=.
	replace provinceFE=1 if FE=="province"
	
	forval j=2010/2012 {
		gen period`j' =.
		replace period`j' =1 if specif=="changingpre-period`j'"
		}
	
	gen donutdrop2013=.
	drop if specif=="donutdrop2013"
	
	gen cluster_city=.
	replace cluster_city=1 if cluster=="city"
	
	gen cluster_age_quarter=.
	replace cluster_age_quarter=1 if cluster=="child_age*year"
	
	gen cityFE_interacted=.
	replace cityFE_interacted=1 if specif=="reghdfe"
	
	forval j=13/17{
		gen sample12_`j'=.
		replace sample12_`j'=1 if sample=="age12-`j'"
		}
	
	drop if sample12_16==1 | period2010==1 | period2011==1  | period2012==1 // already in main spe
	
	gen sample216=.
	replace sample216=1 if sample=="age2-16"
	drop if sample216==1

	gen teacher=.
	replace teacher=1 if sample=="teacher"
	
	gen nonteacher=.
	replace nonteacher=1 if sample!="teacher"
	
	gen wages_non_missing=.
	replace wages_non_missing=1 if sample=="wages_non_missing"
	
	gen sampleage2560=.
	replace sampleage2560=1 if sample=="age2560"
	
	
	global specif cityFE provinceFE donutdrop2013 cluster_city cluster_age_quarter 
	*period2010 period2011 period2012
	global sample nonteacher teacher wages_non_missing sample12_13 sample12_14 sample12_15 sample12_17 sampleage2560
	
	
	* gen indicators and scatters
	local scoff=" "
	local scon=" "
	local ind=-0.05
	foreach var in $specif   {
		cap gen i_`var'=`ind'
		local ind=`ind'-0.005
		local scoff="`scoff' (scatter i_`var' rank,msize(vsmall) mcolor(white))" 
		local scon="`scon' (scatter i_`var' rank if `var'==1,msize(medium) mcolor(black) msym(x))" 
		}
	* samples
	local ind=`ind'-0.01
	foreach var in $sample   {
		cap gen i_`var'=`ind'
		local ind=`ind'-0.005
		local scoff="`scoff' (scatter i_`var' rank,msize(vsmall) mcolor(white))" 
		local scon="`scon' (scatter i_`var' rank if `var'==1,msize(medium) mcolor(black) msym(x))" 
		}
	
	* Choose variable
	
	keep if variable=="`v'"
	
	if "`v'"=="Saturday" {
	global outcometitle "Work on Saturday"
	}
		
	* Choose gender
	foreach g in  1 { //0
	preserve
	keep if woman==`g'
	
	if "`g'"=="0" {
	global genre "Men"
	}
	
	
	if "`g'"=="1" {
	global genre "Women"
	}
	
	gen mainspe=.
	replace mainspe=1 if sample=="main" &	specif=="main"	& cluster=="city"	& FE=="city"

	
	sort mainspe
	sort coeff
	gen rank=_n

	
	
tw  (scatter coeff rank if mainspe==1, mcolor(red) msymbol(D)  msize(small)) ///  main spec 
   (rcap min95 max95 rank, fcolor(gs5) lcolor(gs5)) /// 95% CI
   (rcap min90 max90 rank, fcolor(gs9) lcolor(gs9)) ///
	(scatter coeff rank , mcolor(black) msymbol(D) msize(small)) ///  point estimates
 `scoff' `scon' /// indicators for spec
  (scatter coeff rank if main==1, mcolor(red) msymbol(D)  msize(small)) ///  main spec 
  (scatter i_nonteacher rank if mainspe==1,msize(medium) mcolor(red) msym(x))  ///
  (scatter i_cityFE rank if mainspe==1,msize(medium) mcolor(red) msym(x))  ///
  (scatter i_cluster_city rank if mainspe==1,msize(medium) mcolor(red) msym(x))  ///
   ,legend (order(1 "Main spec." 4 "Point estimate" 2 "95% CI" 3 "90% CI") region(lcolor(white)) ///
	pos(12) ring(1) rows(1) size(vsmall) symysize(small) symxsize(small)) ///
   xtitle(" ") ytitle(" ") yline(0, lcolor(black) lwidth(thin) lpattern(dash))  ///
   yscale(noline) xscale(noline) ylab(-0.03(0.01)0.02, labsize(small) format(%03.2f) noticks nogrid angle(horizontal))  xlab("", noticks)  ///
   graphregion (fcolor(white) lcolor(white)) plotregion(fcolor(white) lcolor(white)) ///  
   title("")
   
	* now add stuff to the y axis  
	* now add stuff to the y axis  
	gr_edit .yaxis1.add_ticks -.045 `"Model                     "', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -.05 `"Municipality FE"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -.055 `"Province FE"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	*gr_edit .yaxis1.add_ticks -0.06 `"Donut estimation (drop 2013)"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.06 `"Cluster Municipality (2,080)"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.065 `"Cluster Age child*quarter (129)"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )

	gr_edit .yaxis1.add_ticks -0.08 `"Sample                     "', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.085 `"Excluding school personnel"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.09 `"Including school personnel"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.095 `"Wages non missing"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.10 `"Age youngest child 6-13"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.105 `"Age youngest child 6-14"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.11 `"Age youngest child 6-15"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.115 `"Age youngest child 6-17"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.12 `"Age 25-60"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )

**	gr_edit .yaxis1.add_ticks -0.12 `"Age child youngest 2-16"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks 0.015 `"Estimate			"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )

	*graph save ${pathgraph}Robustness_`v'_1216_`g'.gph, replace
	graph export "${pathgraph}Robustness_`v'_1216_`g'.pdf", replace
	*erase ${pathgraph}Robustness_`v'_1216_`g'.gph
	restore
	}
	}
	
	** DAYS WORKED PER WEEK
		
		foreach v in days { // $outcome
	import excel using "${pathprog}/Robustness_check_216.xlsx", firstrow clear
			
	global pathgraph ${path}TEX/Graph/	
	destring coeff se, replace
	
	
	gen min95=0
	gen max95=0
	gen min90=0
	gen max90=0
		
	replace max95=coeff+1.96*se 
	replace max90=coeff+1.645*se 
	replace min95=coeff-1.96*se  
	replace min90=coeff-1.645*se  
	
	* Gen Model
	gen cityFE=.
	replace cityFE=1 if FE=="city"
	
	gen provinceFE=.
	replace provinceFE=1 if FE=="province"
	
	forval j=2010/2012 {
		gen period`j' =.
		replace period`j' =1 if specif=="changingpre-period`j'"
		}
	
	gen donutdrop2013=.
	drop if specif=="donutdrop2013"
	
	gen cluster_city=.
	replace cluster_city=1 if cluster=="city"
	
	gen cluster_age_quarter=.
	replace cluster_age_quarter=1 if cluster=="child_age*year"
	
	forval j=13/17{
		gen sample12_`j'=.
		replace sample12_`j'=1 if sample=="age12-`j'"
		}
	
	drop if sample12_16==1 // already in main spe
	
	gen sample216=.
	replace sample216=1 if sample=="age2-16"
	drop if sample216==1
	
	gen teacher=.
	replace teacher=1 if sample=="teacher"
	
	gen nonteacher=.
	replace nonteacher=1 if sample!="teacher"
	
	gen wages_non_missing=.
	replace wages_non_missing=1 if sample=="wages_non_missing"
	
	gen sampleage2560=.
	replace sampleage2560=1 if sample=="age2560"
	
	global specif cityFE provinceFE cluster_city cluster_age_quarter period2010 period2011 period2012

	global sample nonteacher teacher wages_non_missing sample12_13 sample12_14 sample12_15 sample12_17 sampleage2560
	
	
	* gen indicators and scatters
	local scoff=" "
	local scon=" "
	local ind=-0.03
	foreach var in $specif   {
		cap gen i_`var'=`ind'
		local ind=`ind'-0.005
		local scoff="`scoff' (scatter i_`var' rank,msize(vsmall) mcolor(white))" 
		local scon="`scon' (scatter i_`var' rank if `var'==1,msize(medium) mcolor(black) msym(x))" 
		}
	* samples
	local ind=`ind'-0.01
	foreach var in $sample   {
		cap gen i_`var'=`ind'
		local ind=`ind'-0.005
		local scoff="`scoff' (scatter i_`var' rank,msize(vsmall) mcolor(white))" 
		local scon="`scon' (scatter i_`var' rank if `var'==1,msize(medium) mcolor(black) msym(x))" 
		}
	
	* Choose variable
	
	keep if variable=="`v'"
	
	if "`v'"=="days" {
	global outcometitle "Days worked per week"
	}
		
	* Choose gender
	foreach g in 1 { //0
	preserve
	keep if woman==`g'
	
	if "`g'"=="0" {
	global genre "Men"
	}
	
	
	if "`g'"=="1" {
	global genre "Women"
	}
	
	gen mainspe=.
	replace mainspe=1 if sample=="main" &	specif=="main"	& cluster=="city"	& FE=="city"

	
	sort mainspe
	sort coeff
	gen rank=_n

	
	
tw  (scatter coeff rank if mainspe==1, mcolor(red) msymbol(D)  msize(small)) ///  main spec 
   (rcap min95 max95 rank, fcolor(gs5) lcolor(gs5)) /// 95% CI
   (rcap min90 max90 rank, fcolor(gs9) lcolor(gs9)) ///
	(scatter coeff rank , mcolor(black) msymbol(D) msize(small)) ///  point estimates
 `scoff' `scon' /// indicators for spec
  (scatter coeff rank if main==1, mcolor(red) msymbol(D)  msize(small)) ///  main spec 
  (scatter i_nonteacher rank if mainspe==1,msize(medium) mcolor(red) msym(x))  ///
  (scatter i_cityFE rank if mainspe==1,msize(medium) mcolor(red) msym(x))  ///
  (scatter i_cluster_city rank if mainspe==1,msize(medium) mcolor(red) msym(x))  ///
   ,legend (order(1 "Main spec." 4 "Point estimate" 2 "95% CI" 3 "90% CI") region(lcolor(white)) ///
	pos(12) ring(1) rows(1) size(vsmall) symysize(small) symxsize(small)) ///
   xtitle(" ") ytitle(" ") yline(0, lcolor(black) lwidth(thin) lpattern(dash))  ///
   yscale(noline) xscale(noline) ylab(-0.01(0.01)0.04, labsize(small) format(%03.2f) noticks nogrid angle(horizontal))  xlab("", noticks)  ///
   graphregion (fcolor(white) lcolor(white)) plotregion(fcolor(white) lcolor(white)) ///  
   title("")
   
	* now add stuff to the y axis  
	* now add stuff to the y axis  
	gr_edit .yaxis1.add_ticks -.025 `"Model                     "', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -.03 `"Municipality FE"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -.035 `"Province FE"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	*gr_edit .yaxis1.add_ticks -0.04 `"Donut estimation (drop 2013)"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.04 `"Cluster Municipality (3,336)"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.045 `"Cluster Age child*quarter (198)"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.05 `"Changing pre-reform period 2010-2016"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.055 `"Changing pre-reform period 2011-2016"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.06 `"Changing pre-reform period 2012-2016"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )

	gr_edit .yaxis1.add_ticks -0.075 `"Sample                     "', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.08 `"Excluding school personnel"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.085 `"Including school personnel"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.09 `"Wages non missing"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.095 `"Age youngest child 6-13"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.10 `"Age youngest child 6-14"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.105 `"Age youngest child 6-15"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.11 `"Age youngest child 6-17"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks -0.115 `"Age 25-60"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )

**	gr_edit .yaxis1.add_ticks -0.115 `"Age child youngest 2-16"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )
	gr_edit .yaxis1.add_ticks 0.035 `"Estimate			"', custom tickset(major) editstyle(tickstyle(textstyle(size(vsmall))) )

	*graph save ${pathgraph}Robustness_`v'_1216_`g'.gph, replace
	graph export "${pathgraph}Robustness_`v'_1216_`g'.pdf", replace
	*erase ${pathgraph}Robustness_`v'_1216_`g'.gph
	restore
	}
	}
