	set more off, perm
	
	do "${pgm}\000_Globals.do"

	global outcomesofinterest active2 wednesday tot_hours parttime jourtr  lreal_monthly_salary lreal_hourly_wage

	foreach v in $outcomesofinterest {

	use ${pathprogLFS}\womenECtriplediff0917.dta, clear
	append using ${pathprogLFS}\menECtriplediff0917.dta
	drop if year==2017

	* Sample restrictions *
	g professeur=(cse=="42"  | p=="351a" | p=="343a" | p=="434d" | p=="434e" | p=="434f" | p=="434g" ///
							| p=="435a" | p=="435b" | p=="523a" | p=="524a" | p=="525a"  | p=="563a")
	replace professeur=. if tot_hours==.
	g active2=active
	replace active2=. if  professeur==1
	
	* Redefinition of treatment
	drop ITTref5
	drop treatment5
	
	gen ITTref5=.
	replace ITTref5=1 if ITTref==1 & c_agemin>=6
	replace ITTref5=0 if c_agemin>=12 & c_agemin<=16
	
	* For reghdfe
	
	egen code_insee_id=group(code_insee)

			
	* Globals *
			
	global controls age age2 single2 immigrant ///
             adult_m_members adult_f_members young_members nenfanteq2 nenfanteq3p
			 
	global year_wave year_wave1 year_wave2 year_wave3 year_wave4 year_wave5 year_wave6 year_wave7 year_wave8 ///
	year_wave9 year_wave10 year_wave11 year_wave12 year_wave13 year_wave14 year_wave15 year_wave16 year_wave17 ///
	year_wave18 year_wave19 year_wave20 year_wave21 year_wave22 year_wave23 year_wave24 year_wave25 ///
	year_wave26 year_wave27 year_wave28 year_wave29 year_wave30 year_wave31 year_wave32  

	
	* Leads and lags *
	
	ta year, gen(year) 
	
	global year year1 year2 year3 year4 year5 year6 year7 year8  
	
	
	gen eventstudy=.
	replace eventstudy=2 if ref2013==1 & year8==1 
	replace eventstudy=2 if ref2013==0 & year8==1
		
	replace eventstudy=2 if ref2013==1 & year7==1
	replace eventstudy=1 if ref2013==0 & year7==1
	
	replace eventstudy=1 if ref2013==1 & year6==1
	replace eventstudy=0 if ref2013==0 & year6==1
	
	replace eventstudy=0 if ref2013==1 & year5==1
	replace eventstudy=-1 if ref2013==0 & year5==1
	
	replace eventstudy=-1 if ref2013==1 & year4==1
	replace eventstudy=-2 if ref2013==0 & year4==1
	
	replace eventstudy=-2 if ref2013==1 & year3==1
	replace eventstudy=-3 if ref2013==0 & year3==1
	
	replace eventstudy=-3 if ref2013==1 & year2==1
	replace eventstudy=-4 if ref2013==0 & year2==1
	
	replace eventstudy=-4 if ref2013==1 & year1==1
	replace eventstudy=-4  if ref2013==0 & year1==1 

	ta eventstudy, gen(eventstudy)
	
	global eventstudy  eventstudy1 eventstudy2 eventstudy3 eventstudy4 eventstudy5 eventstudy6 eventstudy7 // ça a changé 
	
	* variables for interaction terms
	
	gen woman=(sex==2)
	replace woman=. if sex==.
	
	gen man=(sex==1)
	replace man=. if sex==.

	foreach g in man woman {
		forvalues q=1/7 {
			g effect_`q'_`g'=ITTref5*eventstudy`q'*`g'	
			}
		}

	global lags_m  effect_5_man  effect_6_man ///
		effect_7_man   
		
	global lags_w  effect_5_woman effect_6_woman ///
		effect_7_woman    

	global leads_m  effect_4_man effect_2_man effect_3_man // effect_1_man 
	
	global leads_w  effect_4_woman effect_2_woman effect_3_woman // effect_1_woman   

		
	global controls age age2 single2 immigrant ///
             adult_m_members adult_f_members young_members nenfanteq2 nenfanteq3p
			
	foreach x in $controls $year_wave ITTref5 {
			 
		gen `x'_w=`x'*woman
	 
		 }
			 
	global controls_w  age_w age2_w single2_w immigrant_w ///
	adult_m_members_w adult_f_members_w young_members_w nenfanteq2_w nenfanteq3p_w
			
	global year_wave_w  year_wave1_w year_wave2_w year_wave3_w year_wave4_w year_wave5_w year_wave6_w year_wave7_w ///
	year_wave8_w year_wave9_w year_wave10_w year_wave11_w year_wave12_w year_wave13_w year_wave14_w ///
	year_wave15_w year_wave16_w year_wave17_w year_wave18_w year_wave19_w year_wave20_w year_wave21_w year_wave22_w ///
	year_wave23_w year_wave24_w year_wave25_w year_wave26_w year_wave27_w year_wave28_w year_wave29_w year_wave30_w ///
	year_wave31_w year_wave32_w  
	

	** Regressions **
	
	
	if  "`v'"== "jourtr" |  "`v'"== "tot_hours" |  "`v'"== "parttime" |    "`v'"== "lreal_hourly_wage" |  "`v'"== "lreal_monthly_salary" |  "`v'"== "lhourly_wage"   | ///
	 "`v'"== "wednesday" |  "`v'"== "monday" |  "`v'"=="tuesday" |  "`v'"== "thursday" |  "`v'"=="friday" |  "`v'"== "saturday" |  "`v'"=="sunday" {
		eststo clear
	
		 reghdfe `v' $leads_w $lags_w  ///
				$leads_m  $lags_m ///
				ITTref5 ITTref5_w $year_wave $year_wave_w ///
				$controls $controls_w ///
              if jourtr!=. & parttime!=. & professeur==0, ///
			 absorb(code_insee_id code_insee_id#woman) vce(cluster code_insee)
	 local N=`e(N)'
	 test effect_2_man+effect_3_man+effect_4_man=0
	 test effect_2_woman+effect_3_woman+effect_4_woman=0

	parmest, label saving(${path}Reg`v'_dyn.dta, replace)
	}
	
	if   "`v'"== "active2"  {
		eststo clear
	
		 reghdfe `v' $leads_w $lags_w  ///
				$leads_m  $lags_m ///
				ITTref5 ITTref5_w $year_wave $year_wave_w ///
				$controls $controls_w , ///
			 absorb(code_insee_id code_insee_id#woman) vce(cluster code_insee)
	 local N=`e(N)'
	test effect_2_man+effect_3_man+effect_4_man=0
	test effect_2_woman+effect_3_woman+effect_4_woman=0
	parmest, label saving(${path}Reg`v'_dyn.dta, replace)
	}
	
	use ${path}Reg`v'_dyn.dta, clear
	rename estimate `v'
	gen N=`N'
	save ${path}Reg`v'_dyn.dta, replace
	export excel using "${path}Reg`v'_dyn_no_profs_bothgenders_year1216_fixed_effects_inter_event.xlsx", firstrow(variables) replace
	erase ${path}Reg`v'_dyn.dta
	
	}

	
	global outcomesofinterest wednesday tot_hours parttime jourtr  lreal_monthly_salary lreal_hourly_wage

	foreach g in $outcomesofinterest {
	

	
	import excel "${path}\Reg`g'_dyn_no_profs_bothgenders_year1216_fixed_effects_inter_event.xlsx", sheet("Sheet1") firstrow clear


	gen pa=substr(parm,1,6)
	keep if pa=="effect"
	
	gen gender=substr(parm,-5,5)
	replace gender="man" if gender!="woman"
	gen y=substr(parm,1,8)
	gen year=substr(y,-1,1)
	destring year, replace
	
	local new=_N+1
	set obs `new'
	foreach  v in `g' min95 max95 {
	replace `v' =0 if `v'==.
	}
	replace year=4 if year==.
	replace gender="man" if gender==""
	
	local new=_N+1
	set obs `new'
	foreach  v in `g' min95 max95 {
	replace `v' =0 if `v'==.
	}
	replace year=4 if year==.
	replace gender="woman" if gender==""
	
	sort year
	gen year2=year
	replace year2=year2+0.05 if gender=="man"
	replace year2=year2-0.05 if gender=="woman"
	

	tw (rcapsym min95 max95 year2 if  gender=="woman", sym(i) color(red)) (scatter `g' year2 if gender=="woman", color(red))  ///
	(rcapsym min95 max95 year2 if  gender=="man", sym(i) color(navy)) (scatter `g' year2 if gender=="man", color(navy)), ///
	yline(0)
	 
	
	}
	
	
	

