set more off, perm
	
	do "pgm\000_Globals.do"
	use ${pathprogLFS}\womenECtriplediff0917.dta, clear

	keep if year<2017

	
	g professeur=(cse=="42"  | p=="351a" | p=="343a" | p=="434d" | p=="434e" | p=="434f" | p=="434g" ///
							| p=="435a" | p=="435b" | p=="523a" | p=="524a" | p=="525a"  | p=="563a")
	
	gen middlelow_edu=(middle_edu==1 | low_edu==1)
	
	
	gen children_0_1=(c_agemin<2)
	gen children_2_5=(c_agemin>=2 & c_agemin<=5)
	gen children_6_11=(c_agemin>=6 & c_agemin<=11)
	gen children_12_14=(c_agemin>=12 & c_agemin<=14)
	gen children_15_18=(c_agemin>=15 & c_agemin<=18)
	gen children_12_16=(c_agemin>=12 & c_agemin<=16)

	gen no_private_sector=(private_sector==0)

	rename lreal_monthly_salary lr_monthly_salary
	rename real_monthly_salary r_monthly_salary
	rename lreal_hourly_wage lr_hourly_wage
	rename real_hourly_wage r_hourly_wage
	
	
	label var jourtr "Days worked per week"
	label var parttime "Part-time work"
	label var active "Labor Force participation"
	label var tot_hours "Hours worked per week"
	lab var monday "Work on Monday"
	lab var tuesday "Work on Tuesday"
	lab var wednesday "Work on Wednesday"
	lab var thursday "Work on Thursday"
	lab var friday "Work on Friday"
	lab var saturday "Work on Saturday"
	lab var sunday "Work on Sunday"

	lab var r_monthly_salary "Real monthly wage (in Euros)"
	lab var r_hourly_wage "Real hourly wage (in Euros)"
	
	lab var high_edu "College degree or more"
	lab var middlelow_edu "No college degree"
	lab var c_nbenf "Number of children"
	lab var private_sector "Private sector"
	
	
	global agerange children_0_1 children_2_5 children_6_11 children_12_14 children_15_18 children_12_16
	
	global outcomes age married immigrant high_edu middlelow_edu c_nbenf private_sector onedigit1 onedigit2 onedigit3 onedigit4 onedigit5 onedigit6 active jourtr tot_hours parttime ///
	monday tuesday wednesday thursday friday saturday sunday lr_hourly_wage ///
	lr_monthly_salary r_hourly_wage r_monthly_salary
	
	global outcomes1 age married immigrant high_edu middlelow_edu c_nbenf private_sector onedigit1 onedigit2 onedigit3 onedigit4 onedigit5 onedigit6
	
	global outcomes2 active jourtr tot_hours parttime monday tuesday wednesday thursday friday saturday sunday lr_hourly_wage ///
	lr_monthly_salary r_hourly_wage r_monthly_salary

	global outcomes3  married immigrant high_edu middlelow_edu c_nbenf private_sector onedigit1 onedigit2 onedigit3 onedigit4 onedigit5 onedigit6 active jourtr tot_hours parttime ///
	monday tuesday wednesday thursday friday saturday sunday lr_hourly_wage ///
	lr_monthly_salary r_hourly_wage r_monthly_salary
	
	clear matrix
	foreach v in $outcomes1 {
		foreach l in $agerange {
		mat T`l'`v' = J(1,2,.)
		su `v' if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) & `l'==1 & professeur==0
		mat T`l'`v'[1,1] = r(mean)
		mat T`l'`v'[1,2] = r(sd)
		}
	}
	
	foreach v in active {
		foreach l in $agerange {
		mat T`l'`v' = J(1,2,.)
		su `v' if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) & `l'==1 
		mat T`l'`v'[1,1] = r(mean)
		mat T`l'`v'[1,2] = r(sd)
		}
	}

	foreach v in $outcomes2 {
		foreach l in $agerange {
		mat T`l'`v' = J(1,2,.)
		su `v' if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) & `l'==1 & professeur==0
		mat T`l'`v'[1,1] = r(mean)
		mat T`l'`v'[1,2] = r(sd)
		}
	}
	
	foreach v in $outcomes {
		mat T`v'= Tchildren_0_1`v', Tchildren_2_5`v',Tchildren_6_11`v', Tchildren_12_14`v', Tchildren_15_18`v', Tchildren_12_16`v'
		mat rownames T`v' = `v'
		}
		
		
		

	frmttable using ${path}/SummStats_Outcomes_0_18_no_profs_w.tex, ///
	statmat(Tage) substat(1) tex varlabels sdec(2) replace ///
	title("Descriptive statistics by age of the youngest child - pre-reform period Women") ///
	annotate(stars) asymbol(*,**,***) ctitles("" "0-1" "2-5" "6-11" "12-14" "15-18" "12-16")
	
	foreach v in $outcomes3 {
	frmttable using ${path}/SummStats_Outcomes_0_18_no_profs_w.tex, ///
	statmat(T`v') substat(1) append tex varlabels sdec(2) ///
	annotate(stars) asymbol(*,**,***) 
	}
	
	*** Men
	use ${pathprogLFS}\menECtriplediff0917.dta, clear

	keep if year<2017

	
	g professeur=(cse=="42"  | p=="351a" | p=="343a" | p=="434d" | p=="434e" | p=="434f" | p=="434g" ///
							| p=="435a" | p=="435b" | p=="523a" | p=="524a" | p=="525a"  | p=="563a")
	
	gen middlelow_edu=(middle_edu==1 | low_edu==1)
	
	
	gen children_0_1=(c_agemin<2)
	gen children_2_5=(c_agemin>=2 & c_agemin<=5)
	gen children_6_11=(c_agemin>=6 & c_agemin<=11)
	gen children_12_14=(c_agemin>=12 & c_agemin<=14)
	gen children_15_18=(c_agemin>=15 & c_agemin<=18)
	gen children_12_16=(c_agemin>=12 & c_agemin<=16)

	gen no_private_sector=(private_sector==0)

	rename lreal_monthly_salary lr_monthly_salary
	rename real_monthly_salary r_monthly_salary
	rename lreal_hourly_wage lr_hourly_wage
	rename real_hourly_wage r_hourly_wage
	
	
	label var jourtr "Days worked per week"
	label var parttime "Part-time work"
	label var active "Labor Force participation"
	label var tot_hours "Hours worked per week"
	lab var monday "Work on Monday"
	lab var tuesday "Work on Tuesday"
	lab var wednesday "Work on Wednesday"
	lab var thursday "Work on Thursday"
	lab var friday "Work on Friday"
	lab var saturday "Work on Saturday"
	lab var sunday "Work on Sunday"

	lab var r_monthly_salary "Real monthly wage (in Euros)"
	lab var r_hourly_wage "Real hourly wage (in Euros)"
	
	lab var high_edu "College degree or more"
	lab var middlelow_edu "No college degree"
	lab var c_nbenf "Number of children"
	lab var private_sector "Private sector"
	
	
	global agerange children_0_1 children_2_5 children_6_11 children_12_14 children_15_18 children_12_16
	
	global outcomes age married immigrant high_edu middlelow_edu c_nbenf private_sector onedigit1 onedigit2 onedigit3 onedigit4 onedigit5 onedigit6 active jourtr tot_hours parttime ///
	monday tuesday wednesday thursday friday saturday sunday lr_hourly_wage ///
	lr_monthly_salary r_hourly_wage r_monthly_salary
	
	global outcomes1 age married immigrant high_edu middlelow_edu c_nbenf private_sector onedigit1 onedigit2 onedigit3 onedigit4 onedigit5 onedigit6
	
	global outcomes2 active jourtr tot_hours parttime monday tuesday wednesday thursday friday saturday sunday lr_hourly_wage ///
	lr_monthly_salary r_hourly_wage r_monthly_salary

	global outcomes3  married immigrant high_edu middlelow_edu c_nbenf private_sector onedigit1 onedigit2 onedigit3 onedigit4 onedigit5 onedigit6 active jourtr tot_hours parttime ///
	monday tuesday wednesday thursday friday saturday sunday lr_hourly_wage ///
	lr_monthly_salary r_hourly_wage r_monthly_salary
	
	clear matrix
	foreach v in $outcomes1 {
		foreach l in $agerange {
		mat T`l'`v' = J(1,2,.)
		su `v' if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) & `l'==1 & professeur==0
		mat T`l'`v'[1,1] = r(mean)
		mat T`l'`v'[1,2] = r(sd)
		}
	}
	
	foreach v in active {
		foreach l in $agerange {
		mat T`l'`v' = J(1,2,.)
		su `v' if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) & `l'==1 
		mat T`l'`v'[1,1] = r(mean)
		mat T`l'`v'[1,2] = r(sd)
		}
	}

	foreach v in $outcomes2 {
		foreach l in $agerange {
		mat T`l'`v' = J(1,2,.)
		su `v' if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) & `l'==1 & professeur==0
		mat T`l'`v'[1,1] = r(mean)
		mat T`l'`v'[1,2] = r(sd)
		}
	}
	
	foreach v in $outcomes {
		mat T`v'= Tchildren_0_1`v', Tchildren_2_5`v',Tchildren_6_11`v', Tchildren_12_14`v', Tchildren_15_18`v', Tchildren_12_16`v'
		mat rownames T`v' = `v'
		}
		
		
		

	frmttable using ${path}/SummStats_Outcomes_0_18_no_profs_m.tex, ///
	statmat(Tage) substat(1) tex varlabels sdec(2) replace ///
	title("Descriptive statistics by age of the youngest child - pre-reform period Men") ///
	annotate(stars) asymbol(*,**,***) ctitles("" "0-1" "2-5" "6-11" "12-14" "15-18" "12-16")
	
	foreach v in $outcomes3 {
	frmttable using ${path}/SummStats_Outcomes_0_18_no_profs_m.tex, ///
	statmat(T`v') substat(1) append tex varlabels sdec(2) ///
	annotate(stars) asymbol(*,**,***) 
	}
