	set more off, perm
	
	global pathdofiles "C:\Users\Public\Documents\Dofiles\For_submission"
	do ${pathdofiles}\000_Globals.do
	

	use ${pathprogLFS}\womenECtriplediff0917.dta, clear
	append using ${pathprogLFS}\menECtriplediff0917.dta
	drop if year==2017

	global year_wave year_wave1 year_wave2 year_wave3 year_wave4 year_wave5 year_wave6 year_wave7 year_wave8 ///
	year_wave9 year_wave10 year_wave11 year_wave12 year_wave13 year_wave14 year_wave15 year_wave16 year_wave17 ///
	year_wave18 year_wave19 year_wave20 year_wave21 year_wave22 year_wave23 year_wave24 year_wave25 ///
	year_wave26 year_wave27 year_wave28 year_wave29 year_wave30 year_wave31 year_wave32  
	
	
	g professeur=(cse=="42"  | p=="351a" | p=="343a" | p=="434d" | p=="434e" | p=="434f" | p=="434g" ///
							| p=="435a" | p=="435b" | p=="523a" | p=="524a" | p=="525a"  | p=="563a")
	replace professeur=. if tot_hours==.
	
	
	drop ITTref5
	drop treatment5
	
	gen ITTref5=.
	replace ITTref5=1 if ITTref==1 & c_agemin>=6
	replace ITTref5=0 if c_agemin>=12 & c_agemin<=16
	
	gen treatment5=ITTref5*((post_first==1 & ref2013==1) | (post_snd==1 & ref2013==0))
	
	gen women=(sex==2)
	replace women=. if sex==.
	
	gen men=(sex==1)
	replace men=. if sex==.

	foreach g in men women {
			g effect_`g'=treatment5*`g'	
			la var effect_`g' "Effect on `g'"
		}

	global controls age age2 single2 immigrant ///
             adult_m_members adult_f_members young_members nenfanteq2 nenfanteq3p
			
	foreach x in $controls $year_wave ITTref5 {
			 
		gen `x'_w=`x'*women
	 
		 }
			 
	global controls_w  age_w age2_w single2_w immigrant_w ///
	adult_m_members_w adult_f_members_w young_members_w nenfanteq2_w nenfanteq3p_w
		
	global year_wave_w  year_wave1_w year_wave2_w year_wave3_w year_wave4_w year_wave5_w year_wave6_w year_wave7_w ///
	year_wave8_w year_wave9_w year_wave10_w year_wave11_w year_wave12_w year_wave13_w year_wave14_w ///
	year_wave15_w year_wave16_w year_wave17_w year_wave18_w year_wave19_w year_wave20_w year_wave21_w year_wave22_w ///
	year_wave23_w year_wave24_w year_wave25_w year_wave26_w year_wave27_w year_wave28_w year_wave29_w year_wave30_w ///
	year_wave31_w year_wave32_w 

	
	egen code_insee_id=group(code_insee)
	
	global outcomesofinterest private_sector firmsizege50 onedigit3 manager_private manager_large ///
	tenure_comp chgtask  

	foreach v in $outcomesofinterest { // 
	
	eststo: reghdfe `v' ITTref5 ITTref5_w $year_wave $year_wave_w ///
				$controls $controls_w effect_men effect_women ///
              if jourtr!=. & parttime!=. & professeur==0, ///
			 absorb(code_insee_id code_insee_id#women) vce(cluster code_insee)
			 
	estadd scalar Observations=e(N_full)
	 
	test effect_men-effect_women=0
	estadd scalar PvalueMenVsWomen=r(p)
	 
	su `v' if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) & ///
		ITTref5==1 & jourtr!=. & parttime!=.  & professeur==0 & men==1 	 
		estadd scalar meanM= r(mean)
	 
	su `v' if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) & ///
		ITTref5==1 & jourtr!=. & parttime!=.  & professeur==0 & men==0 	 
		estadd scalar meanW= r(mean)
		
	}
		
		
	esttab using ${pathsortie32}\regs_job_mobility_men_and_women.tex, r2 se noobs ///
	scalars(Observations F meanM meanW PvalueMenVsWomen) ///
	keep(effect_men effect_women ITTref5 ITTref5_w) ///
	replace star(* 0.10 ** 0.05 *** 0.01) booktabs label nonotes ///
	title({\bf "Job change in response to the reform"}) ///
	mtitles("Private sector" "Firm with $\geq50$ employees" "Managerial occ" "Manager in private sector" ///
	"Manager in large firm" "Years of tenure" "Change of task")


