
	set more off, perm
	global pathdofiles "C:\Users\Public\Documents\Dofiles"
	
	do ${pathdofiles}\000_Globals.do
	use ${pathprogLFS}\womenECtriplediff0917.dta, clear
	keep if year<2017

	g professeur=(cse=="42"  | p=="351a" | p=="343a" | p=="434d" | p=="434e" | p=="434f" | p=="434g" ///
							| p=="435a" | p=="435b" | p=="523a" | p=="524a" | p=="525a"  | p=="563a")
	replace professeur=. if tot_hours==.

	g p_monthly_salary=p_salred 	
	g p_lmonthly_salary=log(p_monthly_salary)
	
	drop _merge
	merge m:1 year_wave using "C:\Users\Public\Documents\Inflation\quarterly_inflatio.dta"
		
		
		
	drop ITTref5
	drop treatment5
	
	gen ITTref5=.
	replace ITTref5=1 if ITTref==1 & c_agemin>=6
	replace ITTref5=0 if c_agemin>=12 & c_agemin<=16
	
	keep if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) & ///
		ITTref5==1 & professeur==0
		
		
	g p_real_monthly_salary=(p_monthly_salary/quarterly_inflation)*100
	g p_lreal_monthly_salary=log(p_real_monthly_salary)

	gen p_real_annual_salary=p_real_monthly_salary*12
	
	
	
	****
	global date pre //post
	local date = "$date"
	if "`date'"=="pre" {
	gen real_annual_salary=real_monthly_salary*12
	}
	
	if "`date'"=="post" {
	gen real_annual_salary=(real_monthly_salary+0.031*real_monthly_salary)*12
	}
	
	gen annual_salary_couple=(p_real_annual_salary+real_annual_salary)
	gen annual_salary_couple_taxable=(annual_salary_couple)*0.9
	
	gen parts_enfants=.
	replace parts_enfants=0.5 if c_nbenfantf==1
	replace parts_enfants=1 if c_nbenfantf==2
	gen c_nbenfantf_m2=c_nbenfantf-2
	replace parts_enfants=1+c_nbenfantf_m2 if c_nbenfantf>=3

	
	gen nbparts=2+parts_enfants
	replace nbparts=(1+c_nbenfantf) if married==0
	
	gen annual_salary_couple_taxable_pp=(annual_salary_couple_taxable)/(nbparts) if married==1
	
	gen annual_salary_single_taxable_pp=real_annual_salary*0.9/(1+c_nbenfantf) if married==0
	
	
	gen tax_inc=.
	replace tax_inc=annual_salary_single_taxable_pp if married==0
	replace tax_inc=annual_salary_couple_taxable_pp if married==1
	
	gen tmi_w=.
	replace tmi_w=0 if  real_annual_salary<=9710 & real_annual_salary!=. 
	replace tmi_w=0.14 if real_annual_salary<=26818 & real_annual_salary>9710 & real_annual_salary!=. 
	replace tmi_w=0.3 if real_annual_salary<=71898 & real_annual_salary>26818 & real_annual_salary!=. 
	replace tmi_w=0.41 if real_annual_salary<=152260  & real_annual_salary>71898 & real_annual_salary!=. 
	replace tmi_w=0.45 if real_annual_salary>152260  & real_annual_salary!=. 

	
	gen tmi_single=.
	replace tmi_single=0 if  annual_salary_single_taxable_pp<=9710 & annual_salary_single_taxable_pp!=. & married==0
	replace tmi_single=0.14 if annual_salary_single_taxable_pp<=26818 & annual_salary_single_taxable_pp>9710 & annual_salary_single_taxable_pp!=. & married==0
	replace tmi_single=0.3 if annual_salary_single_taxable_pp<=71898 & annual_salary_single_taxable_pp>26818 & annual_salary_single_taxable_pp!=. & married==0
	replace tmi_single=0.41 if annual_salary_single_taxable_pp<=152260  & annual_salary_single_taxable_pp>71898 & annual_salary_single_taxable_pp!=. & married==0
	replace tmi_single=0.45 if annual_salary_single_taxable_pp>152260  & annual_salary_single_taxable_pp!=. & married==0

	
		
	gen tmi_couple=.
	replace tmi_couple=0 if  annual_salary_couple_taxable_pp<=9710 & annual_salary_couple_taxable_pp!=. & married==1
	replace tmi_couple=0.14 if annual_salary_couple_taxable_pp<=26818 & annual_salary_couple_taxable_pp>9710 & annual_salary_couple_taxable_pp!=.  & married==1
	replace tmi_couple=0.3 if annual_salary_couple_taxable_pp<=71898 & annual_salary_couple_taxable_pp>26818 & annual_salary_couple_taxable_pp!=.  & married==1
	replace tmi_couple=0.41 if annual_salary_couple_taxable_pp<=152260  & annual_salary_couple_taxable_pp>71898 & annual_salary_couple_taxable_pp!=.  & married==1
	replace tmi_couple=0.45 if annual_salary_couple_taxable_pp>152260  & annual_salary_couple_taxable_pp!=. & married==1
	
	gen tmi=.
	replace tmi= tmi_single if  tmi_single!=.
	replace tmi= tmi_couple if  tmi_couple!=.
	
	gen tax_base_csg=tax_inc*0.9825
