	set more off, perm
	global pathdofiles "C:\Users\Public\Documents\Dofiles"
	
	do ${pathdofiles}\000_Globals.do
	use ${pathprogLFS}\womenECtriplediff0917.dta, clear
	append using ${pathprogLFS}\menECtriplediff0917.dta
	keep if year<2017
	global pathsortie36 "C:\Users\Public\Documents\Sorties36"
		
	global year_wave year_wave1 year_wave2 year_wave3 year_wave4 year_wave5 year_wave6 year_wave7 year_wave8 ///
	year_wave9 year_wave10 year_wave11 year_wave12 year_wave13 year_wave14 year_wave15 year_wave16 year_wave17 ///
	year_wave18 year_wave19 year_wave20 year_wave21 year_wave22 year_wave23 year_wave24 year_wave25 ///
	year_wave26 year_wave27 year_wave28 year_wave29 year_wave30 year_wave31 year_wave32 //year_wave33 year_wave34 year_wave35 year_wave36 
		
	g professeur=(cse=="42"  | p=="351a" | p=="343a" | p=="434d" | p=="434e" | p=="434f" | p=="434g" ///
							| p=="435a" | p=="435b" | p=="523a" | p=="524a" | p=="525a"  | p=="563a")
	replace professeur=. if tot_hours==.

	g real_hourly_wage_hhc=real_monthly_salary/(hhc*4)
	g lreal_hourly_wage_hhc=log(real_hourly_wage_hhc)


	gen woman=(sex==2)
	replace woman=. if sex==.
	
	gen man=(sex==1)
	replace man=. if sex==.
	
	global outcomesofinterest real_monthly_salary
	
	

	drop ITTref5
	drop treatment5
	
	gen ITTref5=.
	replace ITTref5=1 if ITTref==1 & c_agemin>=6
	replace ITTref5=0 if c_agemin>=12 & c_agemin<=16
	
	gen treatment5=ITTref5*((post_first==1 & ref2013==1) | (post_snd==1 & ref2013==0))
			
	
		
		foreach v in $outcomesofinterest {
		
		eststo: areg l`v' treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members woman ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave  if  jourtr!=. & parttime!=. & tot_hours!=. & professeur==1 , ///
			 absorb(code_insee) vce(cluster code_insee)
	
		su `v' if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) & ///
		ITTref5==1 & jourtr!=. & parttime!=.  & professeur==1	 	 
		estadd scalar mean_`v'= r(mean)
	 
		}
		
			
		foreach v in $outcomesofinterest {
		
		eststo: areg l`v' treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members woman ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave  if  jourtr!=. & parttime!=. & tot_hours!=. & professeur==1 & woman==1 , ///
			 absorb(code_insee) vce(cluster code_insee)
	
		su `v' if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) & ///
		ITTref5==1 & jourtr!=. & parttime!=.  & professeur==1	  & woman==1	 
		estadd scalar mean_`v'= r(mean)
	 
		}
		
			
		foreach v in $outcomesofinterest {
		
		eststo: areg l`v' treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members woman ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave  if  jourtr!=. & parttime!=. & tot_hours!=. & professeur==1 & woman==0 , ///
			 absorb(code_insee) vce(cluster code_insee)
	
		su `v' if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) & ///
		ITTref5==1 & jourtr!=. & parttime!=.  & professeur==1	  & woman==0	 
		estadd scalar mean_`v'= r(mean)
	 
		}
		
		esttab using ${pathsortie36}\regs_1216_prof.tex, ar2 se ///
		scalars(F mean_lreal_monthly_salary ) ///
		keep(treatment5 ITTref5 woman) ///
		replace star(* 0.10 ** 0.05 *** 0.01) booktabs label nonotes ///
		title({\bf "Labor supply response to the reform - Teachers"}) ///
