	set more off, perm
	
	do "pgm\000_Globals.do"
	use ${pathprogLFS}\womenECtriplediff0917.dta, clear
	keep if year<2017
		
	global year_wave year_wave1 year_wave2 year_wave3 year_wave4 year_wave5 year_wave6 year_wave7 year_wave8 ///
	year_wave9 year_wave10 year_wave11 year_wave12 year_wave13 year_wave14 year_wave15 year_wave16 year_wave17 ///
	year_wave18 year_wave19 year_wave20 year_wave21 year_wave22 year_wave23 year_wave24 year_wave25 ///
	year_wave26 year_wave27 year_wave28 year_wave29 year_wave30 year_wave31 year_wave32 //year_wave33 year_wave34 year_wave35 year_wave36 
		
	g professeur=(cse=="42"  | p=="351a" | p=="343a" | p=="434d" | p=="434e" | p=="434f" | p=="434g" ///
							| p=="435a" | p=="435b" | p=="523a" | p=="524a" | p=="525a"  | p=="563a")
	replace professeur=. if tot_hours==.

	global outcomesofinterest  tot_hours parttime jourtr  ///
	monday	tuesday wednesday thursday friday saturday sunday  lreal_monthly_salary lreal_hourly_wage
	
	g active2=active
	replace active2=. if  professeur==1

	drop ITTref5
	drop treatment5
	
	gen ITTref5=.
	replace ITTref5=1 if ITTref==1 & c_agemin>=6
	replace ITTref5=0 if c_agemin>=12 & c_agemin<=16
	
	gen treatment5=ITTref5*((post_first==1 & ref2013==1) | (post_snd==1 & ref2013==0))
	
	gen post=((post_first==1 & ref2013==1) | (post_snd==1 & ref2013==0))
	gen ref2013_post=ref2013*post
	gen ref2013_ITTref5=ref2013*ITTref5
	gen ITTref_post=ITTref5*post

	eststo clear
		
	* 1. main specification *
	
	eststo: areg active2 treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave   , ///
			 absorb(code_insee) vce(cluster code_insee)

	estadd scalar Observations=e(N) 

	* 2. main spec + ref2013 dummy*time fe

	eststo: reghdfe active2 treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave  , ///
			 absorb(code_insee year_wave#ref2013) vce(cluster code_insee)

	estadd scalar Observations=e(N_full) 
	
	* 3. main spec + ref2013 dummy*ittref 
	eststo: areg active2 treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave  ref2013_ITTref5  , ///
			 absorb(code_insee) vce(cluster code_insee)
	
	estadd scalar Observations=e(N) 
		
	* 4. main spec + ref2013 dummy*time fe + municipality*ittref
	eststo: reghdfe active2 treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave  ref2013_ITTref5 , ///
			 absorb(code_insee year_wave#ref2013) vce(cluster code_insee)

	estadd scalar Observations=e(N_full) 
			 
	* main spec + ref2013 dummy*ittref + ref2013 dummy*time fe + ittref*time fe // 
	*¡ ittref*time fe should be collinear with treatment5 and drops. Let's check this!
	eststo:  reghdfe active2 treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave  ref2013_ITTref5 , ///
			 absorb(code_insee year_wave#ref2013 year_wave#ITTref5) vce(cluster code_insee)

	estadd scalar Observations=e(N_full) 
		
	quietly su active2 if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) & ITTref5==1
		estadd scalar mean_active= r(mean)		 
	
	esttab using ${path}\regs_active.tex, r2 se noobs ///
		scalars(F mean_active Observations) ///
		keep(treatment5 ITTref5  ref2013_ITTref5 ) ///
		replace star(* 0.10 ** 0.05 *** 0.01) booktabs label nonotes ///
		title({\bf "Active"}) 
	
	
	global outcomes parttime tot_hours jourtr // ¡ the results on part-time in the first column are slightly different than the main results

		foreach v in $outcomes {
				eststo clear

	
			* 1. main spec *
			eststo: areg `v' treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
           high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave     if  jourtr!=. & parttime!=. & tot_hours!=. & professeur==0, ///
			 absorb(code_insee) vce(cluster code_insee)

			estadd scalar Observations=e(N) 
			 
			* 2. main spec + ref2013 dummy*time fe		 
			 eststo: reghdfe `v' treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave   if  jourtr!=. & parttime!=. & tot_hours!=. & professeur==0, ///
			 absorb(code_insee year_wave#ref2013) vce(cluster code_insee)
	
			estadd scalar Observations=e(N_full) 
			
			
			* 3. main spec + ref2013 dummy*ittref 
			eststo: areg `v' treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave   ref2013_ITTref5   if  jourtr!=. & parttime!=. & tot_hours!=. & professeur==0, ///
			 absorb(code_insee) vce(cluster code_insee)

			estadd scalar Observations=e(N) 

			 * 4. main spec + ref2013 dummy*time fe + municipality*ittref
			eststo: reghdfe `v' treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave   ref2013_ITTref5 if  jourtr!=. & parttime!=. & tot_hours!=. & professeur==0, ///
			 absorb(code_insee year_wave#ref2013) vce(cluster code_insee)
	
			estadd scalar Observations=e(N_full) 

			* main spec + ref2013 dummy*ittref + ref2013 dummy*time fe + ittref*time fe // 
			*¡ ittref*time fe should be collinear with treatment5 and drops. Let's check this!
			eststo: reghdfe `v' treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave   ref2013_ITTref5 if  jourtr!=. & parttime!=. & tot_hours!=. & professeur==0, ///
			 absorb(code_insee year_wave#ref2013 year_wave#ITTref5) vce(cluster code_insee)		 
	
			estadd scalar Observations=e(N_full) 

			su `v' if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) & ///
			ITTref5==1 & jourtr!=. & parttime!=. & professeur==0	 	 
			estadd scalar mean_`v'= r(mean)
	 
		
		esttab using ${path}\regs_main_table_no_profs_fe`v'.tex, r2 se noobs ///
		scalars(F mean_`v' Observations) ///
		keep(treatment5 ITTref5 ref2013_ITTref5 ) ///
		replace star(* 0.10 ** 0.05 *** 0.01) booktabs label nonotes ///
		title({\bf "Labor supply response to the reform"}) 
}
		*** Days of the week ***
		
		global eachday	monday	tuesday wednesday thursday friday saturday sunday
		

		foreach v in $eachday {	 
				eststo clear

		* 1. main specification
		eststo: areg `v' treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	        adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave   if  jourtr!=. & parttime!=. & tot_hours!=. & professeur==0, ///
			 absorb(code_insee) vce(cluster code_insee)
	
		estadd scalar Observations=e(N) 

		* 2. main spec + ref2013 dummy*time fe			 
		eststo: reghdfe `v' treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	        adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave  if  jourtr!=. & parttime!=. & tot_hours!=. & professeur==0, ///
			 absorb(code_insee year_wave#ref2013) vce(cluster code_insee)
	
		estadd scalar Observations=e(N_full) 
			 
		* 3. main spec + ref2013 dummy*ittref 
		eststo: areg `v' treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	        adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave  ref2013_ITTref5   if  jourtr!=. & parttime!=. & tot_hours!=. & professeur==0, ///
			 absorb(code_insee) vce(cluster code_insee)

		estadd scalar Observations=e(N) 

		* 4. main spec + ref2013 dummy*time fe + municipality*ittref
		eststo: reghdfe `v' treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	        adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave  ref2013_ITTref5 if  jourtr!=. & parttime!=. & tot_hours!=. & professeur==0, ///
			 absorb(code_insee year_wave#ref2013) vce(cluster code_insee)		
			 
		estadd scalar Observations=e(N_full) 

		* main spec + ref2013 dummy*ittref + ref2013 dummy*time fe + ittref*time fe // 
			*¡ ittref*time fe should be collinear with treatment5 and drops. Let's check this!		
		eststo: reghdfe `v' treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	        adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave  ref2013_ITTref5 if  jourtr!=. & parttime!=. & tot_hours!=. & professeur==0, ///
			 absorb(code_insee year_wave#ref2013 year_wave#ITTref5) vce(cluster code_insee)	 
			 
		estadd scalar Observations=e(N_full) 
			 
		su `v' if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) & ///
		ITTref5==1 & jourtr!=. & parttime!=.  & professeur==0 
		estadd 	scalar mean_`v'= r(mean)
		
	
		
		esttab using ${path}\regs_each_day_no_profs_fe`v'.tex, r2 se noobs ///
		scalars(F mean_`v' Observations) ///
		keep(treatment5 ITTref5 ref2013_ITTref5 ) ///
		replace star(* 0.10 ** 0.05 *** 0.01) booktabs label nonotes ///
		title({\bf "Daily labor supply response to the reform"}) 
	 
	   	}

		*** Salary ***
		
		foreach v in  lreal_monthly_salary lreal_hourly_wage {	 
 
		eststo clear
		
		* 1. main specification *
		eststo: areg `v' treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave    if  jourtr!=. & parttime!=. & lmonthly_salary!=. & tot_hours!=. & professeur==0, ///
			 absorb(code_insee) vce(cluster code_insee)
			
		estadd scalar Observations=e(N) 

		* 2. main spec + ref2013 dummy*time fe
		eststo: reghdfe `v' treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave  if  jourtr!=. & parttime!=. & lmonthly_salary!=. & tot_hours!=. & professeur==0, ///
			 absorb(code_insee year_wave#ref2013) vce(cluster code_insee)
	
		estadd scalar Observations=e(N_full) 
		
		* 3. main spec + ref2013 dummy*ittref 		
		eststo: areg `v' treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave  ref2013_ITTref5   if  jourtr!=. & parttime!=. & lmonthly_salary!=. & tot_hours!=. & professeur==0, ///
			 absorb(code_insee) vce(cluster code_insee)

		estadd scalar Observations=e(N) 

		* 4. main spec + ref2013 dummy*time fe + municipality*ittref		
		eststo: reghdfe `v' treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave  ref2013_ITTref5 if  jourtr!=. & parttime!=. & lmonthly_salary!=. & tot_hours!=. & professeur==0, ///
			 absorb(code_insee year_wave#ref2013) vce(cluster code_insee)
		
			 
		estadd scalar Observations=e(N_full) 
		
		* main spec + ref2013 dummy*ittref + ref2013 dummy*time fe + ittref*time fe // 
			*¡ ittref*time fe should be collinear with treatment5 and drops. Let's check this!		
		eststo: reghdfe `v' treatment5 ITTref5  ///
		     age age2 single2 immigrant ///
             high_edu middle_edu adult_m_members ///
	         adult_f_members young_members nenfanteq2 nenfanteq3p  ///
             $year_wave  ref2013_ITTref5 if  jourtr!=. & parttime!=. & lmonthly_salary!=. & tot_hours!=. & professeur==0, ///
			 absorb(code_insee year_wave#ref2013 year_wave#ITTref5) vce(cluster code_insee)	 
		
		estadd scalar Observations=e(N_full) 
	
		
		su `v' if ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0)) & ///
		ITTref5==1 & jourtr!=. & parttime!=.  & professeur==0 
		estadd 	scalar mean_`v'= r(mean)
		
	
		
		esttab using ${path}\regs_each_day_no_profs_fe`v'.tex, r2 se noobs ///
		scalars(F mean_`v' Observations) ///
		keep(treatment5 ITTref5 ref2013_ITTref5 ) ///
		replace star(* 0.10 ** 0.05 *** 0.01) booktabs label nonotes ///
		title({\bf "Daily labor supply response to the reform"}) 
}
