	set more off, perm
	global pathdofiles "C:\Users\Public\Documents\Dofiles\For_submission"
	
	do ${pathdofiles}\000_Globals.do
	use ${pathprogLFS}\womenECtriplediff0917.dta, clear

	keep if year<2017

	global year_wave year_wave1 year_wave2 year_wave3 	year_wave4 year_wave5 year_wave6 year_wave7 year_wave8 ///
	year_wave9 year_wave10 year_wave11 year_wave12 year_wave13 year_wave14 year_wave15 year_wave16 year_wave17 ///
	year_wave18 year_wave19 year_wave20 year_wave21 year_wave22 year_wave23 year_wave24 year_wave25 ///
	year_wave26 year_wave27 year_wave28 year_wave29 year_wave30 year_wave31 year_wave32

	
	g professeur=(cse=="42"  | p=="351a" | p=="343a" | p=="434d" | p=="434e" | p=="434f" | p=="434g" ///
							| p=="435a" | p=="435b" | p=="523a" | p=="524a" | p=="525a"  | p=="563a")
	replace professeur=. if tot_hours==.
	drop ITTref5
	drop treatment5
	
	gen ITTref5=.
	replace ITTref5=1 if ITTref==1 & c_agemin>=6
	replace ITTref5=0 if c_agemin>=12 & c_agemin<=16
	
	gen treatment5=ITTref5*((post_first==1 & ref2013==1) | (post_snd==1 & ref2013==0))
	
	gen ddipl2=8-ddipl	
	gen p_ddipl2=8-p_ddipl	

	gen ratiodipl=p_ddipl2/ddipl2
	
	
	gen hightolow=.
	replace hightolow=1 if (ratiodipl<1 & ratiodipl!=.)
	replace hightolow=0 if (ratiodipl>=1 & ratiodipl!=. )
	drop if hightolow==.	

	global cov age age2 single2 immigrant adult_m_members adult_f_members young_members ///
			nenfanteq2 nenfanteq3p 

	foreach x in $cov $year_wave {
	
	   gen `x'_hightolow=`x'*hightolow
	   
	}
	
	global cov_hightolow_reg  age_hightolow age2_hightolow single2_hightolow immigrant_hightolow adult_m_members_hightolow adult_f_members_hightolow ///
	young_members_hightolow nenfanteq2_hightolow nenfanteq3p_hightolow year_wave1_hightolow year_wave2_hightolow year_wave3_hightolow year_wave4_hightolow ///
	year_wave5_hightolow year_wave6_hightolow year_wave7_hightolow year_wave8_hightolow year_wave9_hightolow year_wave10_hightolow year_wave11_hightolow ///
	year_wave12_hightolow year_wave13_hightolow year_wave14_hightolow year_wave15_hightolow year_wave16_hightolow year_wave17_hightolow year_wave18_hightolow ///
	year_wave19_hightolow year_wave20_hightolow year_wave21_hightolow year_wave22_hightolow year_wave23_hightolow year_wave24_hightolow year_wave25_hightolow ///
	year_wave26_hightolow year_wave27_hightolow year_wave28_hightolow year_wave29_hightolow year_wave30_hightolow year_wave31_hightolow year_wave32_hightolow
	
	gen no_hightolow=(hightolow==0)
	
	gen hightolow_T=hightolow*ITTref5
	gen hightolow_treatment5=hightolow*treatment5
	gen no_hightolow_T=no_hightolow*ITTref5
	gen no_hightolow_treatment5=no_hightolow*treatment5
		
	egen code_insee_id=group(code_insee)

	foreach s in hightolow {

	foreach v in jourtr tot_hours parttime wednesday saturday lreal_hourly_wage ///
	lreal_monthly_salary tr_real_bonus_value {

	eststo: reghdfe `v' no_`s'_treatment5 `s'_treatment5  `s'_T  no_`s'_T ///
		     $cov ${cov_`s'_reg} $year_wave if jourtr!=. & parttime!=. & tot_hours!=. & professeur==0, ///
			 absorb(code_insee_id code_insee_id#hightolow) vce(cluster code_insee)
	local N`v'=`e(N)'
	test no_`s'_treatment5-`s'_treatment5=0
	local p_value_`v'=r(p)
	parmest, level(90 95 97.5) label saving(${pathsortie35}Reg`v'_`s'.dta, replace)
	su `v' if  ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0))& ///
	jourtr!=. & parttime!=. & tot_hours!=. & ITTref5==1 & `s'==0 & professeur==0
	local m`v'1=`r(mean)'
	su `v' if  ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0))& ///
	jourtr!=. & parttime!=. & tot_hours!=. & ITTref5==1 & `s'==1 & professeur==0
	local m`v'2=`r(mean)'

	} // outcomes
	
	
	preserve
	foreach v in tot_hours parttime wednesday saturday jourtr lreal_hourly_wage ///
	lreal_monthly_salary tr_real_bonus_value {
		use ${pathsortie35}Reg`v'_`s'.dta, clear
		rename estimate `v'
		gen N`v'=`N`v''
		keep if parm=="no_`s'_treatment5" | parm=="`s'_treatment5" 
		gen Pretreat1=`m`v'1'
		gen Pretreat2=`m`v'2'
		gen p_value_diff=`p_value_`v''
		save ${pathsortie35}Reg`v'_`s'.dta, replace
	} // outcomes
		
		use ${pathsortie35}Regwednesday_`s'.dta, clear
		foreach v in saturday tot_hours parttime  jourtr lreal_hourly_wage ///
		lreal_monthly_salary tr_real_bonus_value {
		append using ${pathsortie35}Reg`v'_`s'.dta
		}
		save "${pathsortie35}Reg_`s'.dta", replace
		export excel using "${pathsortie35}\Reg_`s'_no_profs1216.xlsx", firstrow(variables) replace
		erase ${pathsortie35}Reg_`s'.dta

	foreach v in tot_hours parttime wednesday saturday jourtr lreal_hourly_wage ///
	lreal_monthly_salary tr_real_bonus_value {
	erase ${pathsortie35}Reg`v'_`s'.dta
	} // outcomes
	
	restore
	
	} // subgroup

	eststo clear
	
	foreach s in hightolow {

	foreach v in wednesday tot_hours parttime  lreal_monthly_salary lreal_hourly_wage  {

	** low to high **
	
	eststo: reghdfe `v' treatment5   ITTref5 ///
		     $cov $year_wave if jourtr!=. & parttime!=. & tot_hours!=. & professeur==0 & `s'==0, ///
			 absorb(code_insee_id) vce(cluster code_insee)
			 
	estadd scalar Observations=e(N_full)

	su `v' if  ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0))& ///
	jourtr!=. & parttime!=. & tot_hours!=. & ITTref5==1  & professeur==0 & `s'==0
	estadd scalar m0=r(mean)
	
	** high to low **
	
	eststo: reghdfe `v' treatment5  ITTref5 ///
		     $cov $year_wave if jourtr!=. & parttime!=. & tot_hours!=. & professeur==0 & `s'==1, ///
			 absorb(code_insee_id) vce(cluster code_insee)
			 
	estadd scalar Observations=e(N_full)
	
	
	su `v' if  ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0))& ///
	jourtr!=. & parttime!=. & tot_hours!=. & ITTref5==1  & professeur==0 & `s'==1
	estadd scalar m1=r(mean)

	** test equality coefficients ***


	eststo: reghdfe `v' no_`s'_treatment5 `s'_treatment5  `s'_T  no_`s'_T ///
		     $cov ${cov_`s'_reg} $year_wave if jourtr!=. & parttime!=. & tot_hours!=. & professeur==0, ///
			 absorb(code_insee_id code_insee_id#hightolow) vce(cluster code_insee)
			 
	estadd scalar Observations=e(N_full)
	
	test no_`s'_treatment5-`s'_treatment5=0
	estadd scalar p_valueDiff=r(p)
	
	su `v' if  ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0))& ///
	jourtr!=. & parttime!=. & tot_hours!=. & ITTref5==1  & professeur==0 & `s'==0
	estadd scalar m0=r(mean)
	
	su `v' if  ((post_first==0 & ref2013==1) | (post_snd==0 & ref2013==0))& ///
	jourtr!=. & parttime!=. & tot_hours!=. & ITTref5==1  & professeur==0 & `s'==1
	estadd scalar m1=r(mean)

	} // outcomes
	
	esttab using ${pathsortie35}\regs_women_heterogeneous_effects_by_`s'.tex, r2 se noobs ///
	scalars(Observations F m0 m1 p_valueDiff) ///
	keep(treatment5 no_`s'_treatment5 `s'_treatment5 ) ///
	replace star(* 0.10 ** 0.05 *** 0.01) booktabs label nonotes ///
	title({\bf "Labor supply response to the reform by relative level of education in hh"}) ///
	mtitles("Wednesday" "Wednesday" "Wednesday" "Hours worked per week" "Hours worked per week" "Hours worked per week" ///
	"Part-time" "Part-time" "Part-time" ///
	"Log monthly wage" "Log monthly wage" "Log monthly wage" "Log hourly wage" "Log hourly wage" "Log hourly wage")

	}
