	clear 
	set more off, perm
		
			
	
	use ${path}enfants_champ.dta, clear
	 
	 /*
01 "Parents"
02 "Grand-parents"
03 "Other family members" // Autres membres de la famille
04 "Other non-family members" //Autres personnes extérieures à la famille
05 "Registered childminder" //Un(e) assistant(e) maternel(le) agréé(e) 
06 "unegistered childminder" //Un(e) assistant(e) maternel(le) non agréé(e)
07 "In-home caregiver" //Une garde à domicile
08 "Public school" //École publique (y.c. ramassage scolaire)
09 "Private school" //École privée
10 "Municipal day nursery"  //Crèche municipale, départementale 
11 "Company day nursery" //Crèche d’entreprise, de personnel
12 "Parental day nursery" //Crèche parentale
13 "Family day nursery" // Crèche familiale
14 "Mini day nursery" //Mini-crèche, micro-crèche
15 "Nursery halt-service" // Halte-garderie
16 "Kindergarten" //Jardin d’enfant
17 "Extra-curricular childminding facilities, private tuition" // Garderie périscolaire, étude, professeur particulier
18 "Extra-curricular activities"// Accueil de loisir, centre de loisir, activité culturelle, sportive, religieuse
19 "Specialized institutions"// Établissement spécialisé 
	 */
	 
	 
	 destring mdgpaldet3 mdgpaldet2 , replace
	hist mdgpaldet3 , horizontal percent color(gs6) graphregion(color(white)) xlabel(0[10]80, angle(horizontal)) width(0.5) ///
		ylabel(01 "Parents" ///
02 "Grand-parents" ///
03 "Other family members" ///
04 "Other non-family members" ////
05 "Registered childminder" ///
06 "unegistered childminder" ///
07 "In-home caregiver" ///
08 "Public school" ///
09 "Private school" ///
10 "Municipal day nursery"  ////
11 "Company day nursery" ///
12 "Parental day nursery" ///
13 "Family day nursery" ///
14 "Mini day nursery" ///
15 "Nursery halt-service" ///
16 "Kindergarten" ///
17 "Extra-curricular childminding facilities, private tuition" ///
18 "Extra-curricular activities" ///
19 "Specialized institutions" ///
, labsize(small) angle(horizontal)) ytitle(" ")


	gen modemercr=.
	replace modemercr=3 if mdgpaldet3==1
	replace modemercr=2 if mdgpaldet3==2
	replace modemercr=1 if mdgpaldet3!=2 & mdgpaldet3!=1

	gen modeaut=.
	replace modeaut=3 if mdgpaldet2==1
	replace modeaut=2 if mdgpaldet2==2
	replace modeaut=1 if mdgpaldet2!=2 & mdgpaldet2!=1

	
	su modemercr
	local N=r(N)
	hist modemercr , horizontal percent color(blue) lcolor(black) graphregion(color(white)) ///
	xlabel(0 "0"  10 "10%"  20 "20%"  30 "30%" 40 "40%"  50 "50%" 60 "60%" 70 "70%" 80 "80%",  angle(horizontal) grid gstyle(dot)) yscale(r(0.5 3.5)) width(0.2) ///
		ylabel(3 "Parents" ///
		2 "Grand-parents" ///
		1 "Other childcare arrangements" , angle(horizontal) nogrid)  ytitle(" ") xtitle(" ") note("Observations: `N'")

		graph save ${pathgraph}Wednesday_modeGarde, replace
		graph export ${pathgraph}Wednesday_modeGarde.pdf, replace	
		
