
	set more off, perm
	
	
	do "pgm/00_Globals.do"	
	
	clear
	
	forval j=1/10 {
	local corr=0.1*`j'
	global correlation `corr'
	
	
	do "pgm/06_MVPF_bootstrap.do"
	
	local mean_mvpf`j'=r(mean)
	local sd_mvpf`j'=r(sd)

	}
	
	clear
	set obs 10
	gen id=_n
	gen mean_mvpf=.
	gen sd_mvpf=.
	forval j=1/10 {
	replace mean_mvpf=`mean_mvpf`j'' if id==`j'
	replace sd_mvpf=`sd_mvpf`j'' if id==`j'
	}
	
	gen min95=mean_mvpf-1.96*sd_mvpf
	gen max95=mean_mvpf+1.96*sd_mvpf
	
	graph tw (rcapsym  min95 max95 id , sym(i) fcolor(gs5) lcolor(gs5) ) ///
	(scatter mean_mvpf id  , msymbol(D)  msize(small) mcolor(black)) , ///
	xlabel(1 "0.1" 2 "0.2" 3 "0.3" 4 "0.4" 5 "0.5" 6 "0.6" 7 "0.7" 8 "0.8" 9 "0.9" 10 "1") ///
	ylabel(-10[5]10, angle(horizontal) grid gstyle(minor)) yline(1) text(0.5 9.5 "MVPF=1", color(red) size(small)) ///
	xtitle(" " "Correlation between Cost and Fiscal Externality") graphregion(color(white)) legend(off) ///
	ytitle("Estimated MVPF")
	graph save $pathgraph/Sensitiviy_analysis_mvpf.gph, replace
	graph export $pathgraph/Sensitiviy_analysis_mvpf.pdf, replace	
	erase $pathgraph/Sensitiviy_analysis_mvpf.gph
	
