	clear 
	set more off, perm
	

	
	do "pgm/00_Globals.do"
	
	use ${path}couts.dta, clear
	 
	local cpi=99.46	 
	 
	ta inter, sort
	* Type of childcare
	/* 14 Assistant maternel agréé, maison d’assistants maternels agréés.
	29 Accueil périscolaire, étude du soir.
	22 Crèche municipale, départementale
	19 École maternelle privée.
	30 Accueil de loisir, centre de loisir.
	* 14, 29, 22, 19, 30 */
	 
	
	gen othertype=(inter!="14" &  inter!="29" & inter!="22" & inter!="30")

	** Monthly Cost by child 
	gen cost_bychild=cout/nbenf_inc
	
	** Real Monthly Cost - Mean
	gen cost_bychildreal=cost_bychild*100/`cpi'
	su cost_bychildreal if fcout=="3"   & dur_tot>30 [w=poidsf ] , d
	su cost_bychild if fcout=="3"   & dur_tot>30 [w=poidsf ] , d
	local cost_m=r(mean)
 
	foreach j in 14 29 22 30 {
		su cost_bychildreal if fcout=="3" & inter=="`j'" & dur_tot>30 [w=poidsf ]
		su cost_bychild if fcout=="3" & inter=="`j'" & dur_tot>30 [w=poidsf ]
		local cost_`j'=r(mean)
		} 
	
	su cost_bychildreal if fcout=="3" & othertype  & dur_tot>30 [w=poidsf ] 
	su cost_bychild if fcout=="3" & othertype  & dur_tot>30 [w=poidsf ] 
	local cost_othertype=r(mean)	
	
	** Duration per week per child 

	gen dur_tot_perchild=dur_tot/nbenf_inc
	su dur_tot_perchild if fcout=="3"  & dur_tot>30 [w=poidsf ] , d
	local dur_m=r(mean)
	local costh_m=(`cost_m')/(`dur_m'/60*4)
	local costh_mreal=`costh_m'*100/`cpi'
	
	local cout=`costh_mreal'*5*48
	di `cout'
	
	di `costh_m'	
	di `costh_mreal'
	
	global costAW11_mraw=(`costh_m'*3*48)
	global costA11_m=(`costh_m'*8*48*100)/`cpi' // Cost of full day (8 hours) pre-reform for 11 months
	global costA9_m=(`costh_m'*8*40*100)/`cpi'
	global costA11W_m=(`costh_m'*3*48*100)/`cpi' // Cost of 3 hours on Wednesday = WTP
	global costA9W_m=(`costh_m'*3*40*100)/`cpi'
	
	di $costAW11_mraw
	di $costA11W_m
	di $costA9W_m
	di $costA11_m
	di $costA9_m
	
	foreach j in 14 29 22 30 {
		su dur_tot_perchild if fcout=="3" & inter=="`j'" & dur_tot>30 [w=poidsf ]
		local dur_`j'=r(mean)
		local costh_`j'=(`cost_`j'')/(`dur_`j''/60*4)
		local costhreal_`j'=`costh_`j''*100/`cpi'
		local costA11_`j'=(`costh_`j''*8*48*100)/`cpi' // Cost of full day (8 hours) pre-reform for 11 months
		local costA9_`j'=(`costh_`j''*8*40*100)/`cpi'
		local costA11W_`j'=(`costh_`j''*3*48*100)/`cpi' // Cost of 3 hours on Wednesday = WTP
		local costA9W_`j'=(`costh_`j''*3*40*100)/`cpi'
		di `costhreal_`j''
		di `costA11_`j''
		}
		
	di `costA11_30'	
	di `costA11W_30' // Min	
	di `costhreal_30'
	global costA11W_min= `costA11W_29'
	global costA9W_min= `costA9W_29'
	
	di `costA11_22'	
	di `costA11W_22' // Max
	global costA11W_max = `costA11W_22'
	global costA9W_max = `costA9W_22'
	di $costA11W_max
	
	su dur_tot_perchild if fcout=="3"& othertype  & dur_tot>30 [w=poidsf ] 
	local dur_othertype=r(mean)
	local costh_othertype=(`cost_othertype')/(`dur_othertype'/60*4)
	local costh_othertypereal=`costh_othertype'*100/`cpi'
	di `costh_othertypereal'

	
	local costA11_othertype=(`costh_othertype'*8*48*100)/`cpi'
	local costA9_othertype=(`costh_othertype'*8*40*100)/`cpi'
	local costA11W_othertype=(`costh_othertype'*3*48*100)/`cpi'
	local costA9W_othertype=(`costh_othertype'*3*40*100)/`cpi'

	di `costh_othertype'
	di `costA11_othertype'
	
			
