	clear
	set more off, perm

	
		do "pgm/00_Globals.do"	

	
	foreach s in 1 2 { // sex
		foreach c in with without { //children
			use "$path/MTUS-adult-aggregate.dta", clear

			do "pgm/01_MTUS_Generate_variables_labels.do"

			*** Wednesday: day==4
			keep if sex==`s'			
			keep if year>1990
			keep if inlist(day,1,2,3,4,5,6,7)
			** 124810 obs. left
			
			save "$path/MTUS-adult-aggregate-statsdesc`s'`c'.dta", replace
				}
			}
			
			
			
			
		
	foreach s in 1 2 {
		foreach c in with without {

			use "$path/MTUS-adult-aggregate-statsdesc`s'`c'.dta", clear

			if `s'==1 {
				global Sexe "Men"
				global tit "Men"
				global sc 9
				global g 0
				}
			
			if `s'==2 {
				global Sexe "Women"
				global tit "Women"
				global sc 7
				global g 1
				}

			if "`c'"=="with" {
				keep if agekidx==2 | agekidx==1
				global Children "with children younger than 12"
				global tic "Child012"
				global us 1
				}
			 
			
			if "`c'"=="without" {
				keep if nchild==0
				keep if agekidx!=-7 & agekidx!=-8	
				global Children "without children"
				global tic "NoChild"
				global us 0
				}
				
			keep if inlist(countrya, 12,13,34,37)
			
			gen timeout=dtravel+kidcare

			foreach j in 12 13 34 37 {
				su paidetc if countrya==`j'
				local N`j'=r(N)
				}
				
			foreach j in 12 13 34 37 {
				su kidcare if countrya==`j'
				local NN`j'=r(N)
				}
			
			
			foreach j in 12 13 34 37 {
				su timeout if countrya==`j'
				local NNN`j'=r(N)
				}
			
			** ENLEVER WEEK-END
			
			drop if day==1 | day==7

				
			gen wedvsmtuthfr=.
			replace wedvsmtuthfr=1 if day==4
			replace wedvsmtuthfr=0 if inlist(day,2,3,5,6)
			
				
			label var wedvsmtuthfr "Wednesday"
			lab def wedvsmtuthfr 1 "Wednesday" 0 "Other working days"
			lab val wedvsmtuthfr wedvsmtuthfr
			

			lab var empstat "employment status"
			lab def empstat 1 "full-time" 2 "part-time" 3 "unknown job hours" 4 "not in paid work"  -7 "not applicable/not asked" -8 "missing" -9 "could not be created"
			lab val empstat empstat
			keep if empstat==1 | empstat==2
			
			
			collapse (mean) meantimeout=timeout meankidcare=kidcare meanpaidetc=paidetc (sd) sdtimeout=timeout sdkidcare=kidcare sdpaidetc=paidetc ///
			(count) ntimeout=timeout npaidetc=paidetc nkidcare = kidcare [aw=propwt], by(countrya wedvsmtuthfr)
			
			generate hipaidetc = meanpaidetc + invttail(npaidetc-1,0.025)*(sdpaidetc / sqrt(npaidetc))
			generate lopaidetc = meanpaidetc - invttail(npaidetc-1,0.025)*(sdpaidetc / sqrt(npaidetc))

			generate hikidcare = meankidcare + invttail(nkidcare-1,0.025)*(sdkidcare / sqrt(nkidcare))
			generate lokidcare = meankidcare - invttail(nkidcare-1,0.025)*(sdkidcare / sqrt(nkidcare))

			generate hitimeout = meantimeout + invttail(ntimeout-1,0.025)*(sdtimeout / sqrt(ntimeout))
			generate lotimeout = meantimeout - invttail(ntimeout-1,0.025)*(sdtimeout / sqrt(ntimeout))

			preserve
			use "$pathprog/atus_0316.dta", clear //181,335  obs. 
			keep if woman==$g
			keep if teage>=18
			egen paidetc=rowtotal(t050101 t050102 t050103 t050189 t050201 t050202 t050203 t050204 t050289 )
			drop if weekend  ==1
			
			keep if atleastonechild012==$us & trdpftpt!=-1
			su paidetc 
			local N147=r(N)

			gen wedvsmtuthfr=(tudiaryday==4 )	

			collapse (mean) meanpaidetc=paidetc (sd) sdpaidetc=paidetc ///
			(count) npaidetc=paidetc [aw=tufnwgtp], by(wedvsmtuthfr)

			generate hipaidetc = meanpaidetc + invttail(npaidetc-1,0.025)*(sdpaidetc / sqrt(npaidetc))
			generate lopaidetc = meanpaidetc - invttail(npaidetc-1,0.025)*(sdpaidetc / sqrt(npaidetc))

				forval u=0/1 {
					foreach t in hipaidetc lopaidetc meanpaidetc {
						su `t' if wedvsmtuthfr==`u'
						local `t'`u'=r(mean)
						}
					}
			restore	
			
			local new = _N + 2
			set obs `new'
			replace countrya=147 if countrya==. 
			replace wedvsmtuthfr=1 if _n == _N
			replace wedvsmtuthfr=0 if _n == _N-1
			
			forval r=0/1 {
			replace hipaidetc=`hipaidetc`r'' if hipaidetc==. & wedvsmtuthfr==`r'
			replace lopaidetc=`lopaidetc`r'' if lopaidetc==. & wedvsmtuthfr==`r'
			replace meanpaidetc=`meanpaidetc`r'' if meanpaidetc==. & wedvsmtuthfr==`r'
			}
			
			gen wedcountry=.
			replace wedcountry=1 if wedvsmtuthfr==1 & countrya==12
			replace wedcountry=2 if wedvsmtuthfr==0 & countrya==12
			replace wedcountry=4 if wedvsmtuthfr==1 & countrya==147
			replace wedcountry=5 if wedvsmtuthfr==0 & countrya==147
			replace wedcountry=7 if wedvsmtuthfr==1 & countrya==13
			replace wedcountry=8 if wedvsmtuthfr==0 & countrya==13
			replace wedcountry=10 if wedvsmtuthfr==1 & countrya==34
			replace wedcountry=11 if wedvsmtuthfr==0 & countrya==34
			replace wedcountry=13 if wedvsmtuthfr==1 & countrya==37
			replace wedcountry=14 if wedvsmtuthfr==0 & countrya==37

			global ipp1 "190 226 230"
			global ipp2 "124 196 206"
			global ipp3 "0 169 194"
			global ipp4 "0 138 156"
			global ipp5 "0 84 105"
				

			gen meanpaidetc2=meanpaidetc/60
			gen hipaidetc2=hipaidetc/60
			gen lopaidetc2=lopaidetc/60
				
			
		twoway (bar meanpaidetc2 wedcountry if wedvsmtuthfr ==1, color(cranberry)) ///
			   (bar meanpaidetc2 wedcountry if wedvsmtuthfr ==0, color(dknavy)) ///
			   (rcap hipaidetc2 lopaidetc2 wedcountry, color(gs7)), ///
			   legend(row(1) order(1 "Wednesday" 2 "Other working days") ) yscale(r(0 7)) graphregion(color(white)) ///
			   ylabel(0[1]${sc},angle(horizontal)) ///
			   xlabel( 1.5 "France" 4.5 "U.S" 7.5 "Germany" 10.5 "Spain" 13.5 "United Kingdom", noticks) ///
			   xtitle("") ytitle("Hours worked per day" " ")  ///
			note("Obs: France=`N12', U.S=`N147', Germany=`N13', Spain=`N34', UK=`N37'" "Source: MTUS-ATUS") ///	
			title("${Sexe}" "${Children}")
			graph save ${pathgraph}Paidwork${tic}empCI${tit}_US.gph, replace
			graph export ${pathgraph}Paidwork${tic}empCI${tit}_US.pdf, replace	
			}
		}
